!function(root, factory) {
    "object" == typeof exports && "object" == typeof module ? module.exports = factory() : "function" == typeof define && define.amd ? define([], factory) : "object" == typeof exports ? exports.akLozenge = factory() : root.akLozenge = factory();
}(this, function() {
    /******/
    return function(modules) {
        /******/
        /******/
        // The require function
        /******/
        function __webpack_require__(moduleId) {
            /******/
            /******/
            // Check if module is in cache
            /******/
            if (installedModules[moduleId]) /******/
            return installedModules[moduleId].exports;
            /******/
            /******/
            // Create a new module (and put it into the cache)
            /******/
            var module = installedModules[moduleId] = {
                /******/
                exports: {},
                /******/
                id: moduleId,
                /******/
                loaded: !1
            };
            /******/
            /******/
            // Return the exports of the module
            /******/
            /******/
            /******/
            // Execute the module function
            /******/
            /******/
            /******/
            // Flag the module as loaded
            /******/
            return modules[moduleId].call(module.exports, module, module.exports, __webpack_require__), 
            module.loaded = !0, module.exports;
        }
        // webpackBootstrap
        /******/
        // The module cache
        /******/
        var installedModules = {};
        /******/
        /******/
        // Load entry module and return exports
        /******/
        /******/
        /******/
        /******/
        // expose the modules object (__webpack_modules__)
        /******/
        /******/
        /******/
        // expose the module cache
        /******/
        /******/
        /******/
        // __webpack_public_path__
        /******/
        return __webpack_require__.m = modules, __webpack_require__.c = installedModules, 
        __webpack_require__.p = "", __webpack_require__(0);
    }([ /* 0 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _hasOwn = Object.prototype.hasOwnProperty, _forOwn = function(object, iterator) {
            for (var prop in object) _hasOwn.call(object, prop) && iterator(object[prop], prop);
        }, _renderArbitrary = function _renderArbitrary(child) {
            var type = typeof child;
            "number" === type || "string" === type || "object" === type && child instanceof String ? _skatejs.vdom.text(child) : "function" === type && child.__jsxDOMWrapper ? child() : Array.isArray(child) ? child.forEach(_renderArbitrary) : "object" === type && "[object Object]" === String(child) && _forOwn(child, _renderArbitrary);
        }, _skatejs = __webpack_require__(4), _classnames = __webpack_require__(6), _classnames2 = _interopRequireDefault(_classnames), _akutilCommon = __webpack_require__(7), _shadow = __webpack_require__(76), _shadow2 = _interopRequireDefault(_shadow), APPEARANCE_ENUM = {
            values: [ "default", "success", "removed", "inprogress", "new", "moved" ],
            missingDefault: "default",
            invalidDefault: "default"
        }, definition = {
            render: function(elem) {
                var classes = (0, _classnames2.default)([ _shadow2.default.locals.lozenge, _shadow2.default.locals[elem.appearance] ]);
                return _skatejs.vdom.elementOpen("span", null, null, "class", classes, "bold", elem.bold), 
                _skatejs.vdom.elementOpen("style"), _renderArbitrary(_shadow2.default.toString()), 
                _skatejs.vdom.elementClose("style"), _skatejs.vdom.elementOpen("span", null, null, "className", _shadow2.default.locals.content), 
                _skatejs.vdom.elementVoid("slot"), _skatejs.vdom.elementClose("span"), _skatejs.vdom.elementClose("span");
            },
            props: {
                /**
	     * @description Affects the visual style of the badge.
	     * Allowed values are: 'default', 'success', 'removed', 'inprogress', 'new', 'moved'.
	     * @memberof AkLozenge
	     * @instance
	     * @type {string}
	     * @default default
	     */
                appearance: (0, _akutilCommon.enumeration)(APPEARANCE_ENUM)({
                    attribute: !0
                }),
                /**
	     * @description Toggles the bolder appearance.
	     * @memberof AkLozenge
	     * @instance
	     * @type {boolean}
	     * @default false
	     */
                bold: _skatejs.prop.boolean({
                    attribute: !0,
                    default: !1
                })
            }
        };
        exports.default = (0, _skatejs.define)("ak-lozenge", definition);
    }, /* 1 */
    , /* 2 */
    , /* 3 */
    , /* 4 */
    /***/
    function(module, exports, __webpack_require__) {
        !function(global, factory) {
            factory(exports, __webpack_require__(5));
        }(this, function(exports, incrementalDom) {
            function keys() {
                var obj = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {}, _ref = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : {}, _ref$enumOnly = _ref.enumOnly, enumOnly = void 0 !== _ref$enumOnly && _ref$enumOnly, listOfKeys = Object[enumOnly ? "keys" : "getOwnPropertyNames"](obj);
                return "function" == typeof Object.getOwnPropertySymbols ? listOfKeys.concat(Object.getOwnPropertySymbols(obj)) : listOfKeys;
            }
            function create(def) {
                return function() {
                    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) args[_key] = arguments[_key];
                    return args.unshift({}, def), assign.apply(void 0, args);
                };
            }
            function enter(object, props) {
                var saved = {};
                return Object.keys(props).forEach(function(key) {
                    saved[key] = object[key], object[key] = props[key];
                }), saved;
            }
            function exit(object, saved) {
                assign(object, saved);
            }
            // Adds or removes an event listener for an element.
            function applyEvent(elem, ename, newFunc) {
                var events = elem[$currentEventHandlers];
                events || (events = elem[$currentEventHandlers] = {});
                var oldFunc = events[ename];
                // Remove old listener so they don't double up.
                oldFunc && elem.removeEventListener(ename, oldFunc), // Bind new listener.
                newFunc && elem.addEventListener(ename, events[ename] = newFunc);
            }
            function resolveTagName(tname) {
                // If the tag name is a function, a Skate constructor or a standard function
                // is supported.
                //
                // - If a Skate constructor, the tag name is extracted from that.
                // - If a standard function, it is used as a helper.
                // If the tag name is a function, a Skate constructor or a standard function
                // is supported.
                //
                // - If a Skate constructor, the tag name is extracted from that.
                // - If a standard function, it is used as a helper.
                // Skate allows the consumer to use <slot /> and it will translate it to
                // <content /> if Shadow DOM V0 is preferred.
                return "function" == typeof tname ? tname[name$1] || tname : "slot" === tname && fallbackToV0 ? "content" : tname;
            }
            function elementOpenStart(tag) {
                var key = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : null, statics = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : null;
                overrideArgs = [ tag, key, statics ];
            }
            function elementOpenEnd() {
                var node = newElementOpen.apply(void 0, toConsumableArray(overrideArgs));
                // eslint-disable-line no-use-before-define
                return overrideArgs = null, node;
            }
            function wrapIdomFunc(func) {
                var tnameFuncHandler = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : noop;
                return function wrap() {
                    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) args[_key] = arguments[_key];
                    if (args[0] = resolveTagName(args[0]), stackCurrentHelper = null, "function" == typeof args[0]) // If we've encountered a function, handle it according to the type of
                    // function that is being wrapped.
                    return stackCurrentHelper = args[0], tnameFuncHandler.apply(void 0, args);
                    if (stackChren.length) // We pass the wrap() function in here so that when it's called as
                    // children, it will queue up for the next stack, if there is one.
                    stackChren[stackChren.length - 1].push([ wrap, args ]); else {
                        if (func === elementOpen$1) {
                            if (skips) return ++skips;
                            var elem = func.apply(void 0, args);
                            return elem[$skip] && ++skips, elem;
                        }
                        if (func === incrementalDom.elementClose) {
                            // We only want to skip closing if it's not the last closing tag in the
                            // skipped tree because we keep the element that initiated the skpping.
                            if (1 === skips && incrementalDom.skip(), skips && --skips) return;
                            var _elem = func.apply(void 0, args), ref$$1 = _elem[ref$1];
                            // We delete so that it isn't called again for the same element. If the
                            // ref changes, or the element changes, this will be defined again.
                            // Execute the saved ref after esuring we've cleand up after it.
                            return delete _elem[ref$1], "function" == typeof ref$$1 && ref$$1(_elem), _elem;
                        }
                        // We must call elementOpenStart and elementOpenEnd even if we are
                        // skipping because they queue up attributes and then call elementClose.
                        if (!skips || func === elementOpenStart || func === elementOpenEnd) return func.apply(void 0, args);
                    }
                };
            }
            function newAttr() {
                for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) args[_key2] = arguments[_key2];
                stackCurrentHelper ? stackCurrentHelper[$stackCurrentHelperProps][args[0]] = args[1] : stackChren.length ? stackChren[stackChren.length - 1].push([ newAttr, args ]) : (overrideArgs.push(args[0]), 
                overrideArgs.push(args[1]));
            }
            function stackOpen(tname, key, statics) {
                for (var props$$1 = {
                    key: key,
                    statics: statics
                }, _len3 = arguments.length, attrs = Array(_len3 > 3 ? _len3 - 3 : 0), _key3 = 3; _key3 < _len3; _key3++) attrs[_key3 - 3] = arguments[_key3];
                for (var a = 0; a < attrs.length; a += 2) props$$1[attrs[a]] = attrs[a + 1];
                tname[$stackCurrentHelperProps] = props$$1, stackChren.push([]);
            }
            function stackClose(tname) {
                var chren = stackChren.pop(), props$$1 = tname[$stackCurrentHelperProps];
                delete tname[$stackCurrentHelperProps];
                var elemOrFn = tname(props$$1, function() {
                    return chren.forEach(function(args) {
                        return args[0].apply(args, toConsumableArray(args[1]));
                    });
                });
                return "function" == typeof elemOrFn ? elemOrFn() : elemOrFn;
            }
            // Ensure we call our overridden functions instead of the internal ones.
            function newElementVoid(tag) {
                for (var _len4 = arguments.length, args = Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) args[_key4 - 1] = arguments[_key4];
                return newElementOpen.apply(void 0, [ tag ].concat(args)), newElementClose(tag);
            }
            // Convenience function for declaring an Incremental DOM element using
            // hyperscript-style syntax.
            function element(tname, attrs) {
                // If attributes are a function, then they should be treated as children.
                for (var atype = "undefined" == typeof attrs ? "undefined" : _typeof(attrs), _len5 = arguments.length, chren = Array(_len5 > 2 ? _len5 - 2 : 0), _key5 = 2; _key5 < _len5; _key5++) chren[_key5 - 2] = arguments[_key5];
                // Ensure the attributes are an object. Null is considered an object so we
                // have to test for this explicitly.
                // We open the element so we can set attrs after.
                // Delete so special attrs don't actually get set.
                // Set attributes.
                // Close before we render the descendant tree.
                return "function" !== atype && "string" !== atype && "number" !== atype || chren.unshift(attrs), 
                null !== attrs && "object" === atype || (attrs = {}), newElementOpenStart(tname, attrs.key, attrs.statics), 
                delete attrs.key, delete attrs.statics, Object.keys(attrs).forEach(function(name$$1) {
                    return newAttr(name$$1, attrs[name$$1]);
                }), newElementOpenEnd(tname), chren.forEach(function(ch) {
                    var ctype = "undefined" == typeof ch ? "undefined" : _typeof(ch);
                    "function" === ctype ? ch() : "string" === ctype || "number" === ctype ? newText(ch) : Array.isArray(ch) && ch.forEach(function(sch) {
                        return sch();
                    });
                }), newElementClose(tname);
            }
            // Even further convenience for building a DSL out of JavaScript functions or hooking into standard
            // transpiles for JSX (React.createElement() / h).
            function builder() {
                for (var _len6 = arguments.length, tags = Array(_len6), _key6 = 0; _key6 < _len6; _key6++) tags[_key6] = arguments[_key6];
                return 0 === tags.length ? function() {
                    for (var _len7 = arguments.length, args = Array(_len7), _key7 = 0; _key7 < _len7; _key7++) args[_key7] = arguments[_key7];
                    return element.bind.apply(element, [ null ].concat(args));
                } : tags.map(function(tag) {
                    return function() {
                        for (var _len8 = arguments.length, args = Array(_len8), _key8 = 0; _key8 < _len8; _key8++) args[_key8] = arguments[_key8];
                        return element.bind.apply(element, [ null, tag ].concat(args));
                    };
                });
            }
            function microtaskDebounce(cbFunc) {
                var scheduled = !1, i = 0, cbArgs = [], elem = document.createElement("span"), observer = new MutationObserver(function() {
                    cbFunc.apply(void 0, toConsumableArray(cbArgs)), scheduled = !1, cbArgs = null;
                });
                return observer.observe(elem, {
                    childList: !0
                }), function() {
                    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) args[_key] = arguments[_key];
                    cbArgs = args, scheduled || (scheduled = !0, elem.textContent = "" + i, i += 1);
                };
            }
            // We have to use setTimeout() for IE9 and 10 because the Mutation Observer
            // polyfill requires that the element be in the document to trigger Mutation
            // Events. Mutation Events are also synchronous and thus wouldn't debounce.
            //
            // The soonest we can set the timeout for in IE is 1 as they have issues when
            // setting to 0.
            function taskDebounce(cbFunc) {
                var scheduled = !1, cbArgs = [];
                return function() {
                    for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) args[_key2] = arguments[_key2];
                    cbArgs = args, scheduled || (scheduled = !0, setTimeout(function() {
                        scheduled = !1, cbFunc.apply(void 0, toConsumableArray(cbArgs));
                    }, 1));
                };
            }
            function get$2(elem) {
                var props$$1 = {};
                return keys(elem.constructor.props).forEach(function(key) {
                    props$$1[key] = elem[key];
                }), props$$1;
            }
            function set$2(elem, newProps) {
                assign(elem, newProps), elem.constructor[renderer$1] && elem.constructor[renderer$1](elem);
            }
            function getDefaultValue(elem, name, opts) {
                return "function" == typeof opts.default ? opts.default(elem, {
                    name: name
                }) : opts.default;
            }
            function getInitialValue(elem, name, opts) {
                return "function" == typeof opts.initial ? opts.initial(elem, {
                    name: name
                }) : opts.initial;
            }
            function getPropData(elem, name) {
                var elemData = data(elem, "props");
                return elemData[name] || (elemData[name] = {});
            }
            function syncFirstTimeProp(elem, prop, propName, attributeName, propData) {
                var syncAttrValue = propData.lastAssignedValue;
                empty(syncAttrValue) && ("initial" in prop ? syncAttrValue = getInitialValue(elem, propName, prop) : "default" in prop && (syncAttrValue = getDefaultValue(elem, propName, prop))), 
                !empty(syncAttrValue) && prop.serialize && (syncAttrValue = prop.serialize(syncAttrValue)), 
                empty(syncAttrValue) || (propData.syncingAttribute = !0, elem.setAttribute(attributeName, syncAttrValue));
            }
            function syncExistingProp(elem, prop, propName, attributeName, propData) {
                if (attributeName && !propData.settingAttribute) {
                    var internalValue = propData.internalValue, serializedValue = prop.serialize(internalValue), currentAttrValue = elem.getAttribute(attributeName), serializedIsEmpty = empty(serializedValue), attributeChanged = !(serializedIsEmpty && empty(currentAttrValue) || serializedValue === currentAttrValue);
                    propData.syncingAttribute = !0;
                    var shouldRemoveAttribute = empty(propData.lastAssignedValue);
                    shouldRemoveAttribute || serializedIsEmpty ? elem.removeAttribute(attributeName) : elem.setAttribute(attributeName, serializedValue), 
                    !attributeChanged && propData.syncingAttribute && (propData.syncingAttribute = !1);
                }
                // Allow the attribute to be linked again.
                propData.settingAttribute = !1;
            }
            function syncPropToAttr(elem, prop, propName, isFirstSync) {
                var attributeName = data(elem, "propertyLinks")[propName], propData = getPropData(elem, propName);
                attributeName && (isFirstSync ? syncFirstTimeProp(elem, prop, propName, attributeName, propData) : syncExistingProp(elem, prop, propName, attributeName, propData));
            }
            // Abstracts shadow root across v1, v0 and no support.
            // Once v1 is supported everywhere, we can call elem.attachShadow() directly
            // and remove this function.
            function attachShadow(elem) {
                return shadowDomV1 ? elem.attachShadow({
                    mode: "open"
                }) : shadowDomV0 ? elem.createShadowRoot() : elem;
            }
            function getOrAttachShadow(elem) {
                return elem[shadowRoot] || (elem[shadowRoot] = attachShadow(elem));
            }
            function callConstructor(elem) {
                var elemData = data(elem), readyCallbacks = elemData.readyCallbacks, constructor = elem.constructor;
                // Ensures that this can never be called twice.
                elem[created$1] || (elem[created$1] = !0, // Set up a renderer that is debounced for property sets to call directly.
                elem[rendererDebounced] = debounce(constructor[renderer$1].bind(constructor)), // Set up property lifecycle.
                constructor.props && constructor[props] && constructor[props](elem), // Props should be set up before calling this.
                "function" == typeof constructor.created && constructor.created(elem), // Created should be set before invoking the ready listeners.
                readyCallbacks && (readyCallbacks.forEach(function(cb) {
                    return cb(elem);
                }), delete elemData.readyCallbacks), // In v0 we must ensure the attributeChangedCallback is called for attrs
                // that aren't linked to props so that the callback behaves the same no
                // matter if v0 or v1 is being used.
                customElementsV0 && constructor.observedAttributes.forEach(function(name$$1) {
                    var propertyName = data(elem, "attributeLinks")[name$$1];
                    propertyName || elem.attributeChangedCallback(name$$1, null, elem.getAttribute(name$$1));
                }));
            }
            function syncPropsToAttrs(elem) {
                var props$$1 = elem.constructor.props;
                Object.keys(props$$1).forEach(function(propName) {
                    var prop = props$$1[propName];
                    syncPropToAttr(elem, prop, propName, !0);
                });
            }
            function callConnected(elem) {
                var constructor = elem.constructor;
                syncPropsToAttrs(elem), elem[connected] = !0, elem[rendererDebounced](elem), "function" == typeof constructor.attached && constructor.attached(elem), 
                elem.setAttribute("defined", "");
            }
            function callDisconnected(elem) {
                var constructor = elem.constructor;
                elem[connected] = !1, "function" == typeof constructor.detached && constructor.detached(elem);
            }
            // v1
            function Component() {
                for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) args[_key] = arguments[_key];
                var elem = reflect ? Reflect.construct(HTMLElement, args, this.constructor) : HTMLElement.call(this, args[0]);
                return callConstructor(elem), elem;
            }
            function createNativePropertyDefinition(name$$1, opts) {
                var prop = {
                    configurable: !0,
                    enumerable: !0
                };
                return prop.created = function(elem) {
                    var propData = getPropData(elem, name$$1), attributeName = opts.attribute === !0 ? dashCase(name$$1) : opts.attribute, initialValue = elem[name$$1];
                    // Store property to attribute link information.
                    data(elem, "attributeLinks")[attributeName] = name$$1, data(elem, "propertyLinks")[name$$1] = attributeName, 
                    // Set up initial value if it wasn't specified.
                    empty(initialValue) && (attributeName && elem.hasAttribute(attributeName) ? initialValue = opts.deserialize(elem.getAttribute(attributeName)) : "initial" in opts ? initialValue = getInitialValue(elem, name$$1, opts) : "default" in opts && (initialValue = getDefaultValue(elem, name$$1, opts))), 
                    propData.internalValue = opts.coerce ? opts.coerce(initialValue) : initialValue;
                }, prop.get = function() {
                    var propData = getPropData(this, name$$1), internalValue = propData.internalValue;
                    return "function" == typeof opts.get ? opts.get(this, {
                        name: name$$1,
                        internalValue: internalValue
                    }) : internalValue;
                }, prop.set = function(newValue) {
                    var propData = getPropData(this, name$$1);
                    propData.lastAssignedValue = newValue;
                    var oldValue = propData.oldValue;
                    empty(oldValue) && (oldValue = null), empty(newValue) && (newValue = getDefaultValue(this, name$$1, opts)), 
                    "function" == typeof opts.coerce && (newValue = opts.coerce(newValue));
                    var changeData = {
                        name: name$$1,
                        newValue: newValue,
                        oldValue: oldValue
                    };
                    "function" == typeof opts.set && opts.set(this, changeData), // Queue a re-render.
                    this[rendererDebounced](this), // Update prop data so we can use it next time.
                    propData.internalValue = propData.oldValue = newValue, // Link up the attribute.
                    this[connected] && syncPropToAttr(this, opts, name$$1, !1);
                }, prop;
            }
            /* eslint no-bitwise: 0 */
            // Ensures that definitions passed as part of the constructor are functions
            // that return property definitions used on the element.
            function ensurePropertyFunctions(Ctor) {
                var props$$1 = Ctor.props;
                return keys(props$$1).reduce(function(descriptors, descriptorName) {
                    return descriptors[descriptorName] = props$$1[descriptorName], "function" != typeof descriptors[descriptorName] && (descriptors[descriptorName] = initProps(descriptors[descriptorName])), 
                    descriptors;
                }, {});
            }
            // Ensures the property definitions are transformed to objects that can be used
            // to create properties on the element.
            function ensurePropertyDefinitions(Ctor) {
                var props$$1 = ensurePropertyFunctions(Ctor);
                return keys(props$$1).reduce(function(descriptors, descriptorName) {
                    return descriptors[descriptorName] = props$$1[descriptorName](descriptorName), descriptors;
                }, {});
            }
            // Ensures linked properties that have linked attributes are pre-formatted to
            // the attribute name in which they are linked.
            function formatLinkedAttributes(Ctor) {
                var observedAttributes = Ctor.observedAttributes, props$$1 = Ctor.props;
                props$$1 && (keys(props$$1).forEach(function(name$$1) {
                    var prop = props$$1[name$$1], attr = prop.attribute;
                    if (attr) {
                        // Ensure the property is updated.
                        var linkedAttr = prop.attribute = attr === !0 ? dashCase(name$$1) : attr;
                        // Automatically observe the attribute since they're linked from the
                        // attributeChangedCallback.
                        observedAttributes.indexOf(linkedAttr) === -1 && observedAttributes.push(linkedAttr);
                    }
                }), // Merge observed attributes.
                Object.defineProperty(Ctor, "observedAttributes", {
                    configurable: !0,
                    enumerable: !0,
                    get: function() {
                        return observedAttributes;
                    }
                }));
            }
            function createInitProps(Ctor) {
                var props$$1 = ensurePropertyDefinitions(Ctor);
                return function(elem) {
                    props$$1 && keys(props$$1).forEach(function(name$$1) {
                        var prop = props$$1[name$$1];
                        prop.created(elem), // https://bugs.webkit.org/show_bug.cgi?id=49739
                        //
                        // When Webkit fixes that bug so that native property accessors can be
                        // retrieved, we can move defining the property to the prototype and away
                        // from having to do if for every instance as all other browsers support
                        // this.
                        Object.defineProperty(elem, name$$1, prop);
                    });
                };
            }
            function generateUniqueName(name$$1) {
                // http://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript/2117523#2117523
                var rand = "xxxxxxxx".replace(/[xy]/g, function(c) {
                    var r = 16 * Math.random() | 0, v = "x" === c ? r : 3 & r | 8;
                    // eslint-disable-line no-mixed-operators
                    return v.toString(16);
                });
                return name$$1 + "-" + rand;
            }
            function prepareForRegistration(name$$1, Ctor) {
                Ctor[name$1] = name$$1, Ctor[props] = createInitProps(Ctor);
            }
            function registerV0Element(name$$1, Ctor) {
                var res = void 0, uniqueName = void 0;
                try {
                    prepareForRegistration(name$$1, Ctor), res = document.registerElement(name$$1, Ctor);
                } catch (e) {
                    uniqueName = generateUniqueName(name$$1), prepareForRegistration(uniqueName, Ctor), 
                    res = document.registerElement(uniqueName, Ctor);
                }
                return res;
            }
            function registerV1Element(name$$1, Ctor) {
                var uniqueName = name$$1;
                return window.customElements.get(name$$1) && (uniqueName = generateUniqueName(name$$1)), 
                prepareForRegistration(uniqueName, Ctor), window.customElements.define(uniqueName, Ctor, Ctor.extends ? {
                    extends: Ctor.extends
                } : null), Ctor;
            }
            function createCustomEvent(name) {
                var opts = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : {}, detail = opts.detail;
                delete opts.detail;
                var e = void 0;
                return Event ? (e = new Event(name, opts), "undefined" != typeof detail && Object.defineProperty(e, "detail", {
                    value: detail
                })) : (e = document.createEvent("CustomEvent"), e.initCustomEvent(name, opts.bubbles, opts.cancelable, detail)), 
                e;
            }
            function getValue(elem) {
                var type = elem.type;
                return "checkbox" === type || "radio" === type ? !!elem.checked && (elem.value || !0) : elem.value;
            }
            // We are not using Object.assign if it is defined since it will cause problems when Symbol is polyfilled.
            // Apparently Object.assign (or any polyfill for this method) does not copy non-native Symbols.
            var assign = function(obj) {
                for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) args[_key - 1] = arguments[_key];
                // eslint-disable-line no-return-assign
                return args.forEach(function(arg) {
                    return keys(arg).forEach(function(name) {
                        return obj[name] = arg[name];
                    });
                }), obj;
            }, empty = function(val) {
                return "undefined" == typeof val || null === val;
            }, alwaysUndefinedIfNotANumberOrNumber = function(val) {
                return isNaN(val) ? void 0 : Number(val);
            }, alwaysUndefinedIfEmptyOrString = function(val) {
                return empty(val) ? void 0 : String(val);
            }, array = create({
                coerce: function(val) {
                    return Array.isArray(val) ? val : [ val ];
                },
                default: function() {
                    return [];
                },
                deserialize: JSON.parse,
                serialize: JSON.stringify
            }), boolean = create({
                coerce: function(value) {
                    return !!value;
                },
                default: !1,
                deserialize: function(value) {
                    return !(null === value);
                },
                serialize: function(value) {
                    return value ? "" : void 0;
                }
            }), number = create({
                default: 0,
                coerce: alwaysUndefinedIfNotANumberOrNumber,
                deserialize: alwaysUndefinedIfNotANumberOrNumber,
                serialize: alwaysUndefinedIfNotANumberOrNumber
            }), string = create({
                default: "",
                coerce: alwaysUndefinedIfEmptyOrString,
                deserialize: alwaysUndefinedIfEmptyOrString,
                serialize: alwaysUndefinedIfEmptyOrString
            }), prop = Object.freeze({
                create: create,
                array: array,
                boolean: boolean,
                number: number,
                string: string
            }), connected = "____skate_connected", created$1 = "____skate_created", name$1 = "____skate_name", props = "____skate_props", ref$1 = "____skate_ref", renderer$1 = "____skate_renderer", rendering = "____skate_rendering", rendererDebounced = "____skate_rendererDebounced", shadowRoot = "____skate_shadowRoot", updated$1 = "____skate_updated", symbols$1 = Object.freeze({
                name: name$1,
                shadowRoot: shadowRoot
            }), doc = document, win = window, div = doc.createElement("div"), customElementsV0 = !!doc.registerElement, customElementsV1 = !!win.customElements, shadowDomV0 = !!div.createShadowRoot, shadowDomV1 = !!div.attachShadow, reflect = "Reflect" in window, propContext = function(object, props) {
                return function(func) {
                    return function() {
                        var saved = enter(object, props), result = func.apply(void 0, arguments);
                        return exit(object, saved), result;
                    };
                };
            }, _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(obj) {
                return typeof obj;
            } : function(obj) {
                return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
            }, classCallCheck = (function() {
                function AwaitValue(value) {
                    this.value = value;
                }
                function AsyncGenerator(gen) {
                    function send(key, arg) {
                        return new Promise(function(resolve, reject) {
                            var request = {
                                key: key,
                                arg: arg,
                                resolve: resolve,
                                reject: reject,
                                next: null
                            };
                            back ? back = back.next = request : (front = back = request, resume(key, arg));
                        });
                    }
                    function resume(key, arg) {
                        try {
                            var result = gen[key](arg), value = result.value;
                            value instanceof AwaitValue ? Promise.resolve(value.value).then(function(arg) {
                                resume("next", arg);
                            }, function(arg) {
                                resume("throw", arg);
                            }) : settle(result.done ? "return" : "normal", result.value);
                        } catch (err) {
                            settle("throw", err);
                        }
                    }
                    function settle(type, value) {
                        switch (type) {
                          case "return":
                            front.resolve({
                                value: value,
                                done: !0
                            });
                            break;

                          case "throw":
                            front.reject(value);
                            break;

                          default:
                            front.resolve({
                                value: value,
                                done: !1
                            });
                        }
                        front = front.next, front ? resume(front.key, front.arg) : back = null;
                    }
                    var front, back;
                    this._invoke = send, "function" != typeof gen.return && (this.return = void 0);
                }
                return "function" == typeof Symbol && Symbol.asyncIterator && (AsyncGenerator.prototype[Symbol.asyncIterator] = function() {
                    return this;
                }), AsyncGenerator.prototype.next = function(arg) {
                    return this._invoke("next", arg);
                }, AsyncGenerator.prototype.throw = function(arg) {
                    return this._invoke("throw", arg);
                }, AsyncGenerator.prototype.return = function(arg) {
                    return this._invoke("return", arg);
                }, {
                    wrap: function(fn) {
                        return function() {
                            return new AsyncGenerator(fn.apply(this, arguments));
                        };
                    },
                    await: function(value) {
                        return new AwaitValue(value);
                    }
                };
            }(), function(instance, Constructor) {
                if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
            }), defineProperty = function(obj, key, value) {
                return key in obj ? Object.defineProperty(obj, key, {
                    value: value,
                    enumerable: !0,
                    configurable: !0,
                    writable: !0
                }) : obj[key] = value, obj;
            }, inherits = function(subClass, superClass) {
                if ("function" != typeof superClass && null !== superClass) throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
                subClass.prototype = Object.create(superClass && superClass.prototype, {
                    constructor: {
                        value: subClass,
                        enumerable: !1,
                        writable: !0,
                        configurable: !0
                    }
                }), superClass && (Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass);
            }, possibleConstructorReturn = function(self, call) {
                if (!self) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
                return !call || "object" != typeof call && "function" != typeof call ? self : call;
            }, toConsumableArray = function(arr) {
                if (Array.isArray(arr)) {
                    for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];
                    return arr2;
                }
                return Array.from(arr);
            }, applyDefault = incrementalDom.attributes[incrementalDom.symbols.default], fallbackToV0 = !shadowDomV1 && shadowDomV0, stackChren = [], $skip = "__skip", $currentEventHandlers = "__events", $stackCurrentHelperProps = "__props", stackCurrentHelper = void 0, overrideArgs = void 0, skips = 0, noop = function() {}, attributesContext = propContext(incrementalDom.attributes, defineProperty({
                // Attributes that shouldn't be applied to the DOM.
                key: noop,
                statics: noop,
                // Attributes that *must* be set via a property on all elements.
                checked: incrementalDom.applyProp,
                className: incrementalDom.applyProp,
                disabled: incrementalDom.applyProp,
                value: incrementalDom.applyProp,
                // V0 Shadow DOM to V1 normalisation.
                name: function(elem, _name, value) {
                    "CONTENT" === elem.tagName && (_name = "select", value = '[slot="' + value + '"]'), 
                    applyDefault(elem, _name, value);
                },
                // Ref handler.
                ref: function(elem, name$$1, value) {
                    elem[ref$1] = value;
                },
                // Skip handler.
                skip: function(elem, name$$1, value) {
                    value ? elem[$skip] = !0 : delete elem[$skip];
                }
            }, incrementalDom.symbols.default, function(elem, name$$1, value) {
                // Custom element properties should be set as properties.
                var props$$1 = elem.constructor.props;
                if (props$$1 && name$$1 in props$$1) return incrementalDom.applyProp(elem, name$$1, value);
                // Boolean false values should not set attributes at all.
                if (value === !1) return applyDefault(elem, name$$1);
                // Handle built-in and custom events.
                if (0 === name$$1.indexOf("on")) {
                    var firstChar = name$$1[2], eventName = void 0;
                    if ("-" === firstChar ? eventName = name$$1.substring(3) : firstChar === firstChar.toUpperCase() && (eventName = firstChar.toLowerCase() + name$$1.substring(3)), 
                    eventName) return void applyEvent(elem, eventName, value);
                }
                // Set defined props on the element directly. This ensures properties like
                // "value" on <input> elements get set correctly. Setting those as attributes
                // doesn't always work and setting props is faster than attributes.
                //
                // However, certain props on SVG elements are readonly and error when you try
                // to set them.
                // Set defined props on the element directly. This ensures properties like
                // "value" on <input> elements get set correctly. Setting those as attributes
                // doesn't always work and setting props is faster than attributes.
                //
                // However, certain props on SVG elements are readonly and error when you try
                // to set them.
                // Fallback to default IncrementalDOM behaviour.
                return name$$1 in elem && !("ownerSVGElement" in elem) ? void incrementalDom.applyProp(elem, name$$1, value) : void applyDefault(elem, name$$1, value);
            })), elementOpen$1 = attributesContext(incrementalDom.elementOpen), newElementOpenStart = wrapIdomFunc(elementOpenStart, stackOpen), newElementOpenEnd = wrapIdomFunc(elementOpenEnd), newElementOpen = wrapIdomFunc(elementOpen$1, stackOpen), newElementClose = wrapIdomFunc(incrementalDom.elementClose, stackClose), newText = wrapIdomFunc(incrementalDom.text), vdom = Object.freeze({
                element: element,
                builder: builder,
                attr: newAttr,
                elementClose: newElementClose,
                elementOpen: newElementOpen,
                elementOpenEnd: newElementOpenEnd,
                elementOpenStart: newElementOpenStart,
                elementVoid: newElementVoid,
                text: newText
            }), data = function(element) {
                var namespace = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : "", data = element.__SKATE_DATA || (element.__SKATE_DATA = {});
                return namespace && (data[namespace] || (data[namespace] = {})) || data;
            }, nativeHints = [ "native code", "[object MutationObserverConstructor]" ], native = function(fn) {
                return nativeHints.map(function(hint) {
                    return (fn || "").toString().indexOf([ hint ]) > -1;
                }).reduce(function(a, b) {
                    return a || b;
                });
            }, _window$2 = window, MutationObserver = _window$2.MutationObserver, debounce = native(MutationObserver) ? microtaskDebounce : taskDebounce, getOwnPropertyDescriptors = function() {
                var obj = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {};
                return keys(obj).reduce(function(prev, curr) {
                    return prev[curr] = Object.getOwnPropertyDescriptor(obj, curr), prev;
                }, {});
            }, props$1 = function(elem, newProps) {
                return "undefined" == typeof newProps ? get$2(elem) : set$2(elem, newProps);
            }, _window$1 = window, HTMLElement = _window$1.HTMLElement;
            // v1
            Component.observedAttributes = [], // Skate
            Component.props = {}, // Skate
            Component.extend = function() {
                var definition = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {}, Base = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : this, Ctor = function(_Base) {
                    function Ctor() {
                        return classCallCheck(this, Ctor), possibleConstructorReturn(this, (Ctor.__proto__ || Object.getPrototypeOf(Ctor)).apply(this, arguments));
                    }
                    return inherits(Ctor, _Base), Ctor;
                }(Base);
                // Pass on statics from the Base if not supported (IE 9 and 10).
                if (!Ctor.observedAttributes) {
                    var staticOpts = getOwnPropertyDescriptors(Base);
                    delete staticOpts.length, delete staticOpts.prototype, Object.defineProperties(Ctor, staticOpts);
                }
                // For inheriting from the object literal.
                var opts = getOwnPropertyDescriptors(definition), prot = getOwnPropertyDescriptors(definition.prototype);
                // Prototype is non configurable (but is writable).
                // Pass on static and instance members from the definition.
                return delete opts.prototype, Object.defineProperties(Ctor, opts), Object.defineProperties(Ctor.prototype, prot), 
                Ctor;
            }, // Skate
            //
            // Incremental DOM renderer.
            Component.renderer = function(_ref) {
                var elem = _ref.elem, render = _ref.render, shadowRoot$$1 = _ref.shadowRoot;
                incrementalDom.patchInner(shadowRoot$$1, function() {
                    var possibleFn = render(elem);
                    "function" == typeof possibleFn ? possibleFn() : Array.isArray(possibleFn) && possibleFn.forEach(function(fn) {
                        "function" == typeof fn && fn();
                    });
                });
            }, // Skate
            //
            // This is a default implementation that does strict equality copmarison on
            // previous props and next props. It synchronously renders on the first prop
            // that is different and returns immediately.
            Component.updated = function(elem, prev) {
                if (!prev) return !0;
                for (var allKeys = keys(prev), i = 0; i < allKeys.length; i += 1) if (prev[allKeys[i]] !== elem[allKeys[i]]) return !0;
                return !1;
            }, // Skate
            //
            // Calls the user-defined updated() lifecycle callback.
            Component[updated$1] = function(elem) {
                if ("function" == typeof this.updated) {
                    var prev = elem[props];
                    return elem[props] = props$1(elem), this.updated(elem, prev);
                }
                return !0;
            }, // Skate
            //
            // Goes through the user-defined render lifecycle.
            Component[renderer$1] = function(elem) {
                if (!elem[rendering] && elem[connected]) {
                    // Flag as rendering. This prevents anything from trying to render - or
                    // queueing a render - while there is a pending render.
                    elem[rendering] = !0;
                    var shouldRender = this[updated$1](elem);
                    // Even though this would ideally be checked in the updated() callback,
                    // it may not be, so we ensure that there is a point in proceeding.
                    if (!this.render || !this.renderer) return void (elem[rendering] = !1);
                    shouldRender && (this.renderer({
                        elem: elem,
                        render: this.render,
                        shadowRoot: getOrAttachShadow(elem)
                    }), "function" == typeof this.rendered && this.rendered(elem)), elem[rendering] = !1;
                }
            }, Component.prototype = Object.create(HTMLElement.prototype, {
                // v1
                connectedCallback: {
                    configurable: !0,
                    value: function() {
                        callConnected(this);
                    }
                },
                // v1
                disconnectedCallback: {
                    configurable: !0,
                    value: function() {
                        callDisconnected(this);
                    }
                },
                // v0 and v1
                attributeChangedCallback: {
                    configurable: !0,
                    value: function(name$$1, oldValue, newValue) {
                        var _constructor = this.constructor, attributeChanged = _constructor.attributeChanged, observedAttributes = _constructor.observedAttributes, propertyName = data(this, "attributeLinks")[name$$1];
                        // In V0 we have to ensure the attribute is being observed.
                        if (!customElementsV0 || observedAttributes.indexOf(name$$1) !== -1) {
                            if (propertyName) {
                                var propData = data(this, "props")[propertyName];
                                // This ensures a property set doesn't cause the attribute changed
                                // handler to run again once we set this flag. This only ever has a
                                // chance to run when you set an attribute, it then sets a property and
                                // then that causes the attribute to be set again.
                                if (propData.syncingAttribute) propData.syncingAttribute = !1; else {
                                    // Sync up the property.
                                    var propOpts = this.constructor.props[propertyName];
                                    propData.settingAttribute = !0;
                                    var newPropVal = null !== newValue && propOpts.deserialize ? propOpts.deserialize(newValue) : newValue;
                                    this[propertyName] = newPropVal;
                                }
                            }
                            attributeChanged && attributeChanged(this, {
                                name: name$$1,
                                newValue: newValue,
                                oldValue: oldValue
                            });
                        }
                    }
                },
                // v0
                createdCallback: {
                    configurable: !0,
                    value: function() {
                        callConstructor(this);
                    }
                },
                // v0
                attachedCallback: {
                    configurable: !0,
                    value: function() {
                        callConnected(this);
                    }
                },
                // v0
                detachedCallback: {
                    configurable: !0,
                    value: function() {
                        callDisconnected(this);
                    }
                }
            });
            var dashCase = function(str) {
                return str.split(/([A-Z])/).reduce(function(one, two, idx) {
                    var dash = one && idx % 2 !== 0 ? "-" : "";
                    return "" + one + dash + two.toLowerCase();
                });
            }, initProps = function(opts) {
                return opts = opts || {}, "function" == typeof opts && (opts = {
                    coerce: opts
                }), function(name$$1) {
                    return createNativePropertyDefinition(name$$1, assign({
                        default: null,
                        deserialize: function(value) {
                            return value;
                        },
                        serialize: function(value) {
                            return value;
                        }
                    }, opts));
                };
            }, define = function(name$$1, opts) {
                if (void 0 === opts) throw new Error("You have to define options to register a component " + name$$1);
                var Ctor = "object" === ("undefined" == typeof opts ? "undefined" : _typeof(opts)) ? Component.extend(opts) : opts;
                if (formatLinkedAttributes(Ctor), customElementsV1) return registerV1Element(name$$1, Ctor);
                if (customElementsV0) return registerV0Element(name$$1, Ctor);
                throw new Error("Skate requires native custom element support or a polyfill.");
            }, Event = function(TheEvent) {
                if (TheEvent) try {
                    new TheEvent("emit-init");
                } catch (e) {
                    return;
                }
                return TheEvent;
            }(window.Event), emit = function(elem, name) {
                var opts = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : {};
                return void 0 === opts.bubbles && (opts.bubbles = !0), void 0 === opts.cancelable && (opts.cancelable = !0), 
                void 0 === opts.composed && (opts.composed = !0), elem.dispatchEvent(createCustomEvent(name, opts));
            }, link = function(elem, target) {
                return function(e) {
                    var value = getValue(e.target), localTarget = target || e.target.name || "value";
                    if (localTarget.indexOf(".") > -1) {
                        var parts = localTarget.split("."), firstPart = parts[0], propName = parts.pop(), obj = parts.reduce(function(prev, curr) {
                            return prev && prev[curr];
                        }, elem);
                        obj[propName || e.target.name] = value, props$1(elem, defineProperty({}, firstPart, elem[firstPart]));
                    } else props$1(elem, defineProperty({}, localTarget, value));
                };
            }, ready = function(elem, done) {
                var info = data(elem);
                elem[created$1] ? done(elem) : info.readyCallbacks ? info.readyCallbacks.push(done) : info.readyCallbacks = [ done ];
            }, h = builder();
            exports.Component = Component, exports.define = define, exports.emit = emit, exports.h = h, 
            exports.link = link, exports.prop = prop, exports.props = props$1, exports.ready = ready, 
            exports.symbols = symbols$1, exports.vdom = vdom, Object.defineProperty(exports, "__esModule", {
                value: !0
            });
        });
    }, /* 5 */
    /***/
    function(module, exports, __webpack_require__) {
        /**
	 * @license
	 * Copyright 2015 The Incremental DOM Authors. All Rights Reserved.
	 *
	 * Licensed under the Apache License, Version 2.0 (the "License");
	 * you may not use this file except in compliance with the License.
	 * You may obtain a copy of the License at
	 *
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 *
	 * Unless required by applicable law or agreed to in writing, software
	 * distributed under the License is distributed on an "AS-IS" BASIS,
	 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 * See the License for the specific language governing permissions and
	 * limitations under the License.
	 */
        "use strict";
        /**
	 * Keeps track of information needed to perform diffs for a given DOM node.
	 * @param {!string} nodeName
	 * @param {?string=} key
	 * @constructor
	 */
        function NodeData(nodeName, key) {
            /**
	   * The attributes and their values.
	   * @const {!Object<string, *>}
	   */
            this.attrs = createMap(), /**
	   * An array of attribute name/value pairs, used for quickly diffing the
	   * incomming attributes to see if the DOM node's attributes need to be
	   * updated.
	   * @const {Array<*>}
	   */
            this.attrsArr = [], /**
	   * The incoming attributes for this Node, before they are updated.
	   * @const {!Object<string, *>}
	   */
            this.newAttrs = createMap(), /**
	   * The key used to identify this node, used to preserve DOM nodes when they
	   * move within their parent.
	   * @const
	   */
            this.key = key, /**
	   * Keeps track of children within this node by their key.
	   * {?Object<string, !Element>}
	   */
            this.keyMap = null, /**
	   * Whether or not the keyMap is currently valid.
	   * {boolean}
	   */
            this.keyMapValid = !0, /**
	   * The node name for this node.
	   * @const {string}
	   */
            this.nodeName = nodeName, /**
	   * @type {?string}
	   */
            this.text = null;
        }
        /**
	 * Keeps track of the state of a patch.
	 * @constructor
	 */
        function Context() {
            /**
	   * @type {(Array<!Node>|undefined)}
	   */
            this.created = notifications.nodesCreated && [], /**
	   * @type {(Array<!Node>|undefined)}
	   */
            this.deleted = notifications.nodesDeleted && [];
        }
        /**
	 * Copyright 2015 The Incremental DOM Authors. All Rights Reserved.
	 *
	 * Licensed under the Apache License, Version 2.0 (the "License");
	 * you may not use this file except in compliance with the License.
	 * You may obtain a copy of the License at
	 *
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 *
	 * Unless required by applicable law or agreed to in writing, software
	 * distributed under the License is distributed on an "AS-IS" BASIS,
	 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 * See the License for the specific language governing permissions and
	 * limitations under the License.
	 */
        /**
	 * A cached reference to the hasOwnProperty function.
	 */
        var hasOwnProperty = Object.prototype.hasOwnProperty, create = Object.create, has = function(map, property) {
            return hasOwnProperty.call(map, property);
        }, createMap = function() {
            return create(null);
        }, initData = function(node, nodeName, key) {
            var data = new NodeData(nodeName, key);
            return node.__incrementalDOMData = data, data;
        }, getData = function(node) {
            var data = node.__incrementalDOMData;
            if (!data) {
                var nodeName = node.nodeName.toLowerCase(), key = null;
                node instanceof Element && (key = node.getAttribute("key")), data = initData(node, nodeName, key);
            }
            return data;
        }, symbols = {
            default: "__default",
            placeholder: "__placeholder"
        }, getNamespace = function(name) {
            return 0 === name.lastIndexOf("xml:", 0) ? "http://www.w3.org/XML/1998/namespace" : 0 === name.lastIndexOf("xlink:", 0) ? "http://www.w3.org/1999/xlink" : void 0;
        }, applyAttr = function(el, name, value) {
            if (null == value) el.removeAttribute(name); else {
                var attrNS = getNamespace(name);
                attrNS ? el.setAttributeNS(attrNS, name, value) : el.setAttribute(name, value);
            }
        }, applyProp = function(el, name, value) {
            el[name] = value;
        }, applyStyle = function(el, name, style) {
            if ("string" == typeof style) el.style.cssText = style; else {
                el.style.cssText = "";
                var elStyle = el.style, obj = /** @type {!Object<string,string>} */ style;
                for (var prop in obj) has(obj, prop) && (elStyle[prop] = obj[prop]);
            }
        }, applyAttributeTyped = function(el, name, value) {
            var type = typeof value;
            "object" === type || "function" === type ? applyProp(el, name, value) : applyAttr(el, name, /** @type {?(boolean|number|string)} */ value);
        }, updateAttribute = function(el, name, value) {
            var data = getData(el), attrs = data.attrs;
            if (attrs[name] !== value) {
                var mutator = attributes[name] || attributes[symbols.default];
                mutator(el, name, value), attrs[name] = value;
            }
        }, attributes = createMap();
        // Special generic mutator that's called for any attribute that does not
        // have a specific mutator.
        attributes[symbols.default] = applyAttributeTyped, attributes[symbols.placeholder] = function() {}, 
        attributes.style = applyStyle;
        /**
	 * Gets the namespace to create an element (of a given tag) in.
	 * @param {string} tag The tag to get the namespace for.
	 * @param {?Node} parent
	 * @return {?string} The namespace to create the tag in.
	 */
        var getNamespaceForTag = function(tag, parent) {
            return "svg" === tag ? "http://www.w3.org/2000/svg" : "foreignObject" === getData(parent).nodeName ? null : parent.namespaceURI;
        }, createElement = function(doc, parent, tag, key, statics) {
            var namespace = getNamespaceForTag(tag, parent), el = void 0;
            if (el = namespace ? doc.createElementNS(namespace, tag) : doc.createElement(tag), 
            initData(el, tag, key), statics) for (var i = 0; i < statics.length; i += 2) updateAttribute(el, /** @type {!string}*/ statics[i], statics[i + 1]);
            return el;
        }, createText = function(doc) {
            var node = doc.createTextNode("");
            return initData(node, "#text", null), node;
        }, createKeyMap = function(el) {
            for (var map = createMap(), child = el.firstElementChild; child; ) {
                var key = getData(child).key;
                key && (map[key] = child), child = child.nextElementSibling;
            }
            return map;
        }, getKeyMap = function(el) {
            var data = getData(el);
            return data.keyMap || (data.keyMap = createKeyMap(el)), data.keyMap;
        }, getChild = function(parent, key) {
            return key ? getKeyMap(parent)[key] : null;
        }, registerChild = function(parent, key, child) {
            getKeyMap(parent)[key] = child;
        }, notifications = {
            /**
	   * Called after patch has compleated with any Nodes that have been created
	   * and added to the DOM.
	   * @type {?function(Array<!Node>)}
	   */
            nodesCreated: null,
            /**
	   * Called after patch has compleated with any Nodes that have been removed
	   * from the DOM.
	   * Note it's an applications responsibility to handle any childNodes.
	   * @type {?function(Array<!Node>)}
	   */
            nodesDeleted: null
        };
        /**
	 * @param {!Node} node
	 */
        Context.prototype.markCreated = function(node) {
            this.created && this.created.push(node);
        }, /**
	 * @param {!Node} node
	 */
        Context.prototype.markDeleted = function(node) {
            this.deleted && this.deleted.push(node);
        }, /**
	 * Notifies about nodes that were created during the patch opearation.
	 */
        Context.prototype.notifyChanges = function() {
            this.created && this.created.length > 0 && notifications.nodesCreated(this.created), 
            this.deleted && this.deleted.length > 0 && notifications.nodesDeleted(this.deleted);
        };
        /**
	* Makes sure that keyed Element matches the tag name provided.
	* @param {!string} nodeName The nodeName of the node that is being matched.
	* @param {string=} tag The tag name of the Element.
	* @param {?string=} key The key of the Element.
	*/
        var context = null, currentNode = null, currentParent = null, root = null, doc = null, patchFactory = function(run) {
            /**
	   * TODO(moz): These annotations won't be necessary once we switch to Closure
	   * Compiler's new type inference. Remove these once the switch is done.
	   *
	   * @param {(!Element|!DocumentFragment)} node
	   * @param {!function(T)} fn
	   * @param {T=} data
	   * @template T
	   */
            var f = function(node, fn, data) {
                var prevContext = context, prevRoot = root, prevDoc = doc, prevCurrentNode = currentNode, prevCurrentParent = currentParent;
                context = new Context(), root = node, doc = node.ownerDocument, currentParent = node.parentNode, 
                run(node, fn, data), context.notifyChanges(), context = prevContext, root = prevRoot, 
                doc = prevDoc, currentNode = prevCurrentNode, currentParent = prevCurrentParent;
            };
            return f;
        }, patchInner = patchFactory(function(node, fn, data) {
            currentNode = node, enterNode(), fn(data), exitNode();
        }), patchOuter = patchFactory(function(node, fn, data) {
            currentNode = /** @type {!Element} */ {
                nextSibling: node
            }, fn(data);
        }), matches = function(nodeName, key) {
            var data = getData(currentNode);
            // Key check is done using double equals as we want to treat a null key the
            // same as undefined. This should be okay as the only values allowed are
            // strings, null and undefined so the == semantics are not too weird.
            return nodeName === data.nodeName && key == data.key;
        }, alignWithDOM = function(nodeName, key, statics) {
            if (!currentNode || !matches(nodeName, key)) {
                var node = void 0;
                // Check to see if the node has moved within the parent.
                key && (node = getChild(currentParent, key)), // Create the node if it doesn't exist.
                node || (node = "#text" === nodeName ? createText(doc) : createElement(doc, currentParent, nodeName, key, statics), 
                key && registerChild(currentParent, key, node), context.markCreated(node)), // If the node has a key, remove it from the DOM to prevent a large number
                // of re-orders in the case that it moved far or was completely removed.
                // Since we hold on to a reference through the keyMap, we can always add it
                // back.
                currentNode && getData(currentNode).key ? (currentParent.replaceChild(node, currentNode), 
                getData(currentParent).keyMapValid = !1) : currentParent.insertBefore(node, currentNode), 
                currentNode = node;
            }
        }, clearUnvisitedDOM = function() {
            var node = currentParent, data = getData(node), keyMap = data.keyMap, keyMapValid = data.keyMapValid, child = node.lastChild, key = void 0;
            if (!(child === currentNode && keyMapValid || data.attrs[symbols.placeholder] && node !== root)) {
                for (;child !== currentNode; ) node.removeChild(child), context.markDeleted(/** @type {!Node}*/ child), 
                key = getData(child).key, key && delete keyMap[key], child = node.lastChild;
                // Clean the keyMap, removing any unusued keys.
                if (!keyMapValid) {
                    for (key in keyMap) child = keyMap[key], child.parentNode !== node && (context.markDeleted(child), 
                    delete keyMap[key]);
                    data.keyMapValid = !0;
                }
            }
        }, enterNode = function() {
            currentParent = currentNode, currentNode = null;
        }, nextNode = function() {
            currentNode = currentNode ? currentNode.nextSibling : currentParent.firstChild;
        }, exitNode = function() {
            clearUnvisitedDOM(), currentNode = currentParent, currentParent = currentParent.parentNode;
        }, coreElementOpen = function(tag, key, statics) {
            return nextNode(), alignWithDOM(tag, key, statics), enterNode(), currentParent;
        }, coreElementClose = function() {
            return exitNode(), currentNode;
        }, coreText = function() {
            return nextNode(), alignWithDOM("#text", null, null), currentNode;
        }, currentElement = function() {
            return currentParent;
        }, skip = function() {
            currentNode = currentParent.lastChild;
        }, ATTRIBUTES_OFFSET = 3, argsBuilder = [], elementOpen = function(tag, key, statics, const_args) {
            for (var node = coreElementOpen(tag, key, statics), data = getData(node), attrsArr = data.attrsArr, newAttrs = data.newAttrs, attrsChanged = !1, i = ATTRIBUTES_OFFSET, j = 0; i < arguments.length; i += 1, 
            j += 1) if (attrsArr[j] !== arguments[i]) {
                attrsChanged = !0;
                break;
            }
            for (;i < arguments.length; i += 1, j += 1) attrsArr[j] = arguments[i];
            /*
	   * Actually perform the attribute update.
	   */
            if (j < attrsArr.length && (attrsChanged = !0, attrsArr.length = j), attrsChanged) {
                for (i = ATTRIBUTES_OFFSET; i < arguments.length; i += 2) newAttrs[arguments[i]] = arguments[i + 1];
                for (var _attr in newAttrs) updateAttribute(node, _attr, newAttrs[_attr]), newAttrs[_attr] = void 0;
            }
            return node;
        }, elementOpenStart = function(tag, key, statics) {
            argsBuilder[0] = tag, argsBuilder[1] = key, argsBuilder[2] = statics;
        }, attr = function(name, value) {
            argsBuilder.push(name, value);
        }, elementOpenEnd = function() {
            var node = elementOpen.apply(null, argsBuilder);
            return argsBuilder.length = 0, node;
        }, elementClose = function(tag) {
            var node = coreElementClose();
            return node;
        }, elementVoid = function(tag, key, statics, const_args) {
            return elementOpen.apply(null, arguments), elementClose(tag);
        }, elementPlaceholder = function(tag, key, statics, const_args) {
            return elementOpen.apply(null, arguments), skip(), elementClose(tag);
        }, text = function(value, const_args) {
            var node = coreText(), data = getData(node);
            if (data.text !== value) {
                data.text = /** @type {string} */ value;
                for (var formatted = value, i = 1; i < arguments.length; i += 1) {
                    /*
	       * Call the formatter function directly to prevent leaking arguments.
	       * https://github.com/google/incremental-dom/pull/204#issuecomment-178223574
	       */
                    var fn = arguments[i];
                    formatted = fn(formatted);
                }
                node.data = formatted;
            }
            return node;
        };
        exports.patch = patchInner, exports.patchInner = patchInner, exports.patchOuter = patchOuter, 
        exports.currentElement = currentElement, exports.skip = skip, exports.elementVoid = elementVoid, 
        exports.elementOpenStart = elementOpenStart, exports.elementOpenEnd = elementOpenEnd, 
        exports.elementOpen = elementOpen, exports.elementClose = elementClose, exports.elementPlaceholder = elementPlaceholder, 
        exports.text = text, exports.attr = attr, exports.symbols = symbols, exports.attributes = attributes, 
        exports.applyAttr = applyAttr, exports.applyProp = applyProp, exports.notifications = notifications;
    }, /* 6 */
    /***/
    function(module, exports, __webpack_require__) {
        var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;
        /*!
	  Copyright (c) 2016 Jed Watson.
	  Licensed under the MIT License (MIT), see
	  http://jedwatson.github.io/classnames
	*/
        /* global define */
        !function() {
            "use strict";
            function classNames() {
                for (var classes = [], i = 0; i < arguments.length; i++) {
                    var arg = arguments[i];
                    if (arg) {
                        var argType = typeof arg;
                        if ("string" === argType || "number" === argType) classes.push(arg); else if (Array.isArray(arg)) classes.push(classNames.apply(null, arg)); else if ("object" === argType) for (var key in arg) hasOwn.call(arg, key) && arg[key] && classes.push(key);
                    }
                }
                return classes.join(" ");
            }
            var hasOwn = {}.hasOwnProperty;
            "undefined" != typeof module && module.exports ? module.exports = classNames : (__WEBPACK_AMD_DEFINE_ARRAY__ = [], 
            __WEBPACK_AMD_DEFINE_RESULT__ = function() {
                return classNames;
            }.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__), // register as 'classnames', consistent with npm package name
            !(void 0 !== __WEBPACK_AMD_DEFINE_RESULT__ && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)));
        }();
    }, /* 7 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.style = exports.KeyPressHandler = exports.keyCode = exports.enumeration = void 0;
        var _keycode = __webpack_require__(8), _keycode2 = _interopRequireDefault(_keycode), _properties = __webpack_require__(9), _properties2 = _interopRequireDefault(_properties), _index = __webpack_require__(48), _index2 = _interopRequireDefault(_index), _style = __webpack_require__(55), _style2 = _interopRequireDefault(_style);
        exports.enumeration = _properties2.default, exports.keyCode = _keycode2.default, 
        exports.KeyPressHandler = _index2.default, exports.style = _style2.default;
    }, /* 8 */
    /***/
    function(module, exports) {
        // Source: http://jsfiddle.net/vWx8V/
        // http://stackoverflow.com/questions/5603195/full-list-of-javascript-keycodes
        /**
	 * Conenience method returns corresponding value for given keyName or keyCode.
	 *
	 * @param {Mixed} keyCode {Number} or keyName {String}
	 * @return {Mixed}
	 * @api public
	 */
        exports = module.exports = function(searchInput) {
            // Keyboard Events
            if (searchInput && "object" == typeof searchInput) {
                var hasKeyCode = searchInput.which || searchInput.keyCode || searchInput.charCode;
                hasKeyCode && (searchInput = hasKeyCode);
            }
            // Numbers
            if ("number" == typeof searchInput) return names[searchInput];
            // Everything else (cast to string)
            var search = String(searchInput), foundNamedKey = codes[search.toLowerCase()];
            if (foundNamedKey) return foundNamedKey;
            // check aliases
            var foundNamedKey = aliases[search.toLowerCase()];
            // weird character?
            return foundNamedKey ? foundNamedKey : 1 === search.length ? search.charCodeAt(0) : void 0;
        };
        /**
	 * Get by name
	 *
	 *   exports.code['enter'] // => 13
	 */
        var codes = exports.code = exports.codes = {
            backspace: 8,
            tab: 9,
            enter: 13,
            shift: 16,
            ctrl: 17,
            alt: 18,
            "pause/break": 19,
            "caps lock": 20,
            esc: 27,
            space: 32,
            "page up": 33,
            "page down": 34,
            end: 35,
            home: 36,
            left: 37,
            up: 38,
            right: 39,
            down: 40,
            insert: 45,
            delete: 46,
            command: 91,
            "left command": 91,
            "right command": 93,
            "numpad *": 106,
            "numpad +": 107,
            "numpad -": 109,
            "numpad .": 110,
            "numpad /": 111,
            "num lock": 144,
            "scroll lock": 145,
            "my computer": 182,
            "my calculator": 183,
            ";": 186,
            "=": 187,
            ",": 188,
            "-": 189,
            ".": 190,
            "/": 191,
            "`": 192,
            "[": 219,
            "\\": 220,
            "]": 221,
            "'": 222
        }, aliases = exports.aliases = {
            windows: 91,
            "⇧": 16,
            "⌥": 18,
            "⌃": 17,
            "⌘": 91,
            ctl: 17,
            control: 17,
            option: 18,
            pause: 19,
            break: 19,
            caps: 20,
            return: 13,
            escape: 27,
            spc: 32,
            pgup: 33,
            pgdn: 34,
            ins: 45,
            del: 46,
            cmd: 91
        };
        /*!
	 * Programatically add the following
	 */
        // lower case chars
        for (i = 97; i < 123; i++) codes[String.fromCharCode(i)] = i - 32;
        // numbers
        for (var i = 48; i < 58; i++) codes[i - 48] = i;
        // function keys
        for (i = 1; i < 13; i++) codes["f" + i] = i + 111;
        // numpad keys
        for (i = 0; i < 10; i++) codes["numpad " + i] = i + 96;
        /**
	 * Get by code
	 *
	 *   exports.name[13] // => 'Enter'
	 */
        var names = exports.names = exports.title = {};
        // title for backward compat
        // Create reverse mapping
        for (i in codes) names[codes[i]] = i;
        // Add aliases
        for (var alias in aliases) codes[alias] = aliases[alias];
    }, /* 9 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        /* Helper function for creating new extensions to existing properties */
        function prop(def) {
            return function() {
                for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) args[_key] = arguments[_key];
                return args.unshift({}, def), _assign2.default.apply(Object, args);
            };
        }
        /**
	  This property extension can be used with skate.
	  Usage:
	  ```
	  props: {
	      respondsTo: props.enum({values: ['toggle', 'hover'],
	      missingDefault: 'toggle',
	      invalidDefault: 'toggle'})({
	
	      })
	  }
	  ```
	 */
        function enumeration(enumOptions) {
            return prop({
                coerce: function(value) {
                    return (0, _attributes.computeEnumValue)(enumOptions, value);
                },
                default: enumOptions.missingDefault,
                /* if the prop is an attribute, also add 'initial' with the default value so it get's set too*/
                initial: enumOptions.attribute ? enumOptions.missingDefault : void 0,
                deserialize: function(value) {
                    return null === value ? void 0 : value;
                },
                serialize: function(value) {
                    return "undefined" == typeof value ? value : String(value);
                }
            });
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _assign = __webpack_require__(10), _assign2 = _interopRequireDefault(_assign), _attributes = __webpack_require__(47);
        exports.default = enumeration;
    }, /* 10 */
    /***/
    function(module, exports, __webpack_require__) {
        module.exports = {
            default: __webpack_require__(11),
            __esModule: !0
        };
    }, /* 11 */
    /***/
    function(module, exports, __webpack_require__) {
        __webpack_require__(12), module.exports = __webpack_require__(15).Object.assign;
    }, /* 12 */
    /***/
    function(module, exports, __webpack_require__) {
        // 19.1.3.1 Object.assign(target, source)
        var $export = __webpack_require__(13);
        $export($export.S + $export.F, "Object", {
            assign: __webpack_require__(28)
        });
    }, /* 13 */
    /***/
    function(module, exports, __webpack_require__) {
        var global = __webpack_require__(14), core = __webpack_require__(15), ctx = __webpack_require__(16), hide = __webpack_require__(18), PROTOTYPE = "prototype", $export = function(type, name, source) {
            var key, own, out, IS_FORCED = type & $export.F, IS_GLOBAL = type & $export.G, IS_STATIC = type & $export.S, IS_PROTO = type & $export.P, IS_BIND = type & $export.B, IS_WRAP = type & $export.W, exports = IS_GLOBAL ? core : core[name] || (core[name] = {}), expProto = exports[PROTOTYPE], target = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE];
            IS_GLOBAL && (source = name);
            for (key in source) // contains in native
            own = !IS_FORCED && target && void 0 !== target[key], own && key in exports || (// export native or passed
            out = own ? target[key] : source[key], // prevent global pollution for namespaces
            exports[key] = IS_GLOBAL && "function" != typeof target[key] ? source[key] : IS_BIND && own ? ctx(out, global) : IS_WRAP && target[key] == out ? function(C) {
                var F = function(a, b, c) {
                    if (this instanceof C) {
                        switch (arguments.length) {
                          case 0:
                            return new C();

                          case 1:
                            return new C(a);

                          case 2:
                            return new C(a, b);
                        }
                        return new C(a, b, c);
                    }
                    return C.apply(this, arguments);
                };
                return F[PROTOTYPE] = C[PROTOTYPE], F;
            }(out) : IS_PROTO && "function" == typeof out ? ctx(Function.call, out) : out, // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
            IS_PROTO && ((exports.virtual || (exports.virtual = {}))[key] = out, // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
            type & $export.R && expProto && !expProto[key] && hide(expProto, key, out)));
        };
        // type bitmap
        $export.F = 1, // forced
        $export.G = 2, // global
        $export.S = 4, // static
        $export.P = 8, // proto
        $export.B = 16, // bind
        $export.W = 32, // wrap
        $export.U = 64, // safe
        $export.R = 128, // real proto method for `library` 
        module.exports = $export;
    }, /* 14 */
    /***/
    function(module, exports) {
        // https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
        var global = module.exports = "undefined" != typeof window && window.Math == Math ? window : "undefined" != typeof self && self.Math == Math ? self : Function("return this")();
        "number" == typeof __g && (__g = global);
    }, /* 15 */
    /***/
    function(module, exports) {
        var core = module.exports = {
            version: "2.4.0"
        };
        "number" == typeof __e && (__e = core);
    }, /* 16 */
    /***/
    function(module, exports, __webpack_require__) {
        // optional / simple context binding
        var aFunction = __webpack_require__(17);
        module.exports = function(fn, that, length) {
            if (aFunction(fn), void 0 === that) return fn;
            switch (length) {
              case 1:
                return function(a) {
                    return fn.call(that, a);
                };

              case 2:
                return function(a, b) {
                    return fn.call(that, a, b);
                };

              case 3:
                return function(a, b, c) {
                    return fn.call(that, a, b, c);
                };
            }
            return function() {
                return fn.apply(that, arguments);
            };
        };
    }, /* 17 */
    /***/
    function(module, exports) {
        module.exports = function(it) {
            if ("function" != typeof it) throw TypeError(it + " is not a function!");
            return it;
        };
    }, /* 18 */
    /***/
    function(module, exports, __webpack_require__) {
        var dP = __webpack_require__(19), createDesc = __webpack_require__(27);
        module.exports = __webpack_require__(23) ? function(object, key, value) {
            return dP.f(object, key, createDesc(1, value));
        } : function(object, key, value) {
            return object[key] = value, object;
        };
    }, /* 19 */
    /***/
    function(module, exports, __webpack_require__) {
        var anObject = __webpack_require__(20), IE8_DOM_DEFINE = __webpack_require__(22), toPrimitive = __webpack_require__(26), dP = Object.defineProperty;
        exports.f = __webpack_require__(23) ? Object.defineProperty : function(O, P, Attributes) {
            if (anObject(O), P = toPrimitive(P, !0), anObject(Attributes), IE8_DOM_DEFINE) try {
                return dP(O, P, Attributes);
            } catch (e) {}
            if ("get" in Attributes || "set" in Attributes) throw TypeError("Accessors not supported!");
            return "value" in Attributes && (O[P] = Attributes.value), O;
        };
    }, /* 20 */
    /***/
    function(module, exports, __webpack_require__) {
        var isObject = __webpack_require__(21);
        module.exports = function(it) {
            if (!isObject(it)) throw TypeError(it + " is not an object!");
            return it;
        };
    }, /* 21 */
    /***/
    function(module, exports) {
        module.exports = function(it) {
            return "object" == typeof it ? null !== it : "function" == typeof it;
        };
    }, /* 22 */
    /***/
    function(module, exports, __webpack_require__) {
        module.exports = !__webpack_require__(23) && !__webpack_require__(24)(function() {
            return 7 != Object.defineProperty(__webpack_require__(25)("div"), "a", {
                get: function() {
                    return 7;
                }
            }).a;
        });
    }, /* 23 */
    /***/
    function(module, exports, __webpack_require__) {
        // Thank's IE8 for his funny defineProperty
        module.exports = !__webpack_require__(24)(function() {
            return 7 != Object.defineProperty({}, "a", {
                get: function() {
                    return 7;
                }
            }).a;
        });
    }, /* 24 */
    /***/
    function(module, exports) {
        module.exports = function(exec) {
            try {
                return !!exec();
            } catch (e) {
                return !0;
            }
        };
    }, /* 25 */
    /***/
    function(module, exports, __webpack_require__) {
        var isObject = __webpack_require__(21), document = __webpack_require__(14).document, is = isObject(document) && isObject(document.createElement);
        module.exports = function(it) {
            return is ? document.createElement(it) : {};
        };
    }, /* 26 */
    /***/
    function(module, exports, __webpack_require__) {
        // 7.1.1 ToPrimitive(input [, PreferredType])
        var isObject = __webpack_require__(21);
        // instead of the ES6 spec version, we didn't implement @@toPrimitive case
        // and the second argument - flag - preferred type is a string
        module.exports = function(it, S) {
            if (!isObject(it)) return it;
            var fn, val;
            if (S && "function" == typeof (fn = it.toString) && !isObject(val = fn.call(it))) return val;
            if ("function" == typeof (fn = it.valueOf) && !isObject(val = fn.call(it))) return val;
            if (!S && "function" == typeof (fn = it.toString) && !isObject(val = fn.call(it))) return val;
            throw TypeError("Can't convert object to primitive value");
        };
    }, /* 27 */
    /***/
    function(module, exports) {
        module.exports = function(bitmap, value) {
            return {
                enumerable: !(1 & bitmap),
                configurable: !(2 & bitmap),
                writable: !(4 & bitmap),
                value: value
            };
        };
    }, /* 28 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        // 19.1.2.1 Object.assign(target, source, ...)
        var getKeys = __webpack_require__(29), gOPS = __webpack_require__(44), pIE = __webpack_require__(45), toObject = __webpack_require__(46), IObject = __webpack_require__(33), $assign = Object.assign;
        // should work with symbols and should have deterministic property order (V8 bug)
        module.exports = !$assign || __webpack_require__(24)(function() {
            var A = {}, B = {}, S = Symbol(), K = "abcdefghijklmnopqrst";
            return A[S] = 7, K.split("").forEach(function(k) {
                B[k] = k;
            }), 7 != $assign({}, A)[S] || Object.keys($assign({}, B)).join("") != K;
        }) ? function(target, source) {
            for (// eslint-disable-line no-unused-vars
            var T = toObject(target), aLen = arguments.length, index = 1, getSymbols = gOPS.f, isEnum = pIE.f; aLen > index; ) for (var key, S = IObject(arguments[index++]), keys = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S), length = keys.length, j = 0; length > j; ) isEnum.call(S, key = keys[j++]) && (T[key] = S[key]);
            return T;
        } : $assign;
    }, /* 29 */
    /***/
    function(module, exports, __webpack_require__) {
        // 19.1.2.14 / 15.2.3.14 Object.keys(O)
        var $keys = __webpack_require__(30), enumBugKeys = __webpack_require__(43);
        module.exports = Object.keys || function(O) {
            return $keys(O, enumBugKeys);
        };
    }, /* 30 */
    /***/
    function(module, exports, __webpack_require__) {
        var has = __webpack_require__(31), toIObject = __webpack_require__(32), arrayIndexOf = __webpack_require__(36)(!1), IE_PROTO = __webpack_require__(40)("IE_PROTO");
        module.exports = function(object, names) {
            var key, O = toIObject(object), i = 0, result = [];
            for (key in O) key != IE_PROTO && has(O, key) && result.push(key);
            // Don't enum bug & hidden keys
            for (;names.length > i; ) has(O, key = names[i++]) && (~arrayIndexOf(result, key) || result.push(key));
            return result;
        };
    }, /* 31 */
    /***/
    function(module, exports) {
        var hasOwnProperty = {}.hasOwnProperty;
        module.exports = function(it, key) {
            return hasOwnProperty.call(it, key);
        };
    }, /* 32 */
    /***/
    function(module, exports, __webpack_require__) {
        // to indexed object, toObject with fallback for non-array-like ES3 strings
        var IObject = __webpack_require__(33), defined = __webpack_require__(35);
        module.exports = function(it) {
            return IObject(defined(it));
        };
    }, /* 33 */
    /***/
    function(module, exports, __webpack_require__) {
        // fallback for non-array-like ES3 and non-enumerable old V8 strings
        var cof = __webpack_require__(34);
        module.exports = Object("z").propertyIsEnumerable(0) ? Object : function(it) {
            return "String" == cof(it) ? it.split("") : Object(it);
        };
    }, /* 34 */
    /***/
    function(module, exports) {
        var toString = {}.toString;
        module.exports = function(it) {
            return toString.call(it).slice(8, -1);
        };
    }, /* 35 */
    /***/
    function(module, exports) {
        // 7.2.1 RequireObjectCoercible(argument)
        module.exports = function(it) {
            if (void 0 == it) throw TypeError("Can't call method on  " + it);
            return it;
        };
    }, /* 36 */
    /***/
    function(module, exports, __webpack_require__) {
        // false -> Array#indexOf
        // true  -> Array#includes
        var toIObject = __webpack_require__(32), toLength = __webpack_require__(37), toIndex = __webpack_require__(39);
        module.exports = function(IS_INCLUDES) {
            return function($this, el, fromIndex) {
                var value, O = toIObject($this), length = toLength(O.length), index = toIndex(fromIndex, length);
                // Array#includes uses SameValueZero equality algorithm
                if (IS_INCLUDES && el != el) {
                    for (;length > index; ) if (value = O[index++], value != value) return !0;
                } else for (;length > index; index++) if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
                return !IS_INCLUDES && -1;
            };
        };
    }, /* 37 */
    /***/
    function(module, exports, __webpack_require__) {
        // 7.1.15 ToLength
        var toInteger = __webpack_require__(38), min = Math.min;
        module.exports = function(it) {
            return it > 0 ? min(toInteger(it), 9007199254740991) : 0;
        };
    }, /* 38 */
    /***/
    function(module, exports) {
        // 7.1.4 ToInteger
        var ceil = Math.ceil, floor = Math.floor;
        module.exports = function(it) {
            return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
        };
    }, /* 39 */
    /***/
    function(module, exports, __webpack_require__) {
        var toInteger = __webpack_require__(38), max = Math.max, min = Math.min;
        module.exports = function(index, length) {
            return index = toInteger(index), index < 0 ? max(index + length, 0) : min(index, length);
        };
    }, /* 40 */
    /***/
    function(module, exports, __webpack_require__) {
        var shared = __webpack_require__(41)("keys"), uid = __webpack_require__(42);
        module.exports = function(key) {
            return shared[key] || (shared[key] = uid(key));
        };
    }, /* 41 */
    /***/
    function(module, exports, __webpack_require__) {
        var global = __webpack_require__(14), SHARED = "__core-js_shared__", store = global[SHARED] || (global[SHARED] = {});
        module.exports = function(key) {
            return store[key] || (store[key] = {});
        };
    }, /* 42 */
    /***/
    function(module, exports) {
        var id = 0, px = Math.random();
        module.exports = function(key) {
            return "Symbol(".concat(void 0 === key ? "" : key, ")_", (++id + px).toString(36));
        };
    }, /* 43 */
    /***/
    function(module, exports) {
        // IE 8- don't enum bug keys
        module.exports = "constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf".split(",");
    }, /* 44 */
    /***/
    function(module, exports) {
        exports.f = Object.getOwnPropertySymbols;
    }, /* 45 */
    /***/
    function(module, exports) {
        exports.f = {}.propertyIsEnumerable;
    }, /* 46 */
    /***/
    function(module, exports, __webpack_require__) {
        // 7.1.13 ToObject(argument)
        var defined = __webpack_require__(35);
        module.exports = function(it) {
            return Object(defined(it));
        };
    }, /* 47 */
    /***/
    function(module, exports) {
        "use strict";
        /**
	 * Like el.hasAttribute(attr) but designed for use within a skate attribute
	 * change handler where you only have access to change.oldValue.
	 */
        function computeBooleanValue(attrValue) {
            return null !== attrValue;
        }
        function setBooleanAttribute(el, attr, newValue) {
            newValue ? el.setAttribute(attr, "") : el.removeAttribute(attr);
        }
        function computeEnumValue(enumOptions, value) {
            var matchesEnumValue = function(enumValue) {
                return enumValue.toLowerCase() === value.toLowerCase();
            }, isMissing = null === value || "undefined" == typeof value, isInvalid = !isMissing && !enumOptions.values.filter(matchesEnumValue).length;
            return isMissing ? {}.hasOwnProperty.call(enumOptions, "missingDefault") ? enumOptions.missingDefault : null : isInvalid ? {}.hasOwnProperty.call(enumOptions, "invalidDefault") ? enumOptions.invalidDefault : {}.hasOwnProperty.call(enumOptions, "missingDefault") ? enumOptions.missingDefault : null : enumOptions.values.length ? enumOptions.values.filter(matchesEnumValue)[0] : null;
        }
        function setEnumAttribute(el, enumOptions, newValue) {
            el.setAttribute(enumOptions.attribute, newValue);
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), /**
	 * Helper functions useful for implementing reflected boolean and enumerated
	 * attributes and properties.
	 *
	 * @see https://html.spec.whatwg.org/multipage/infrastructure.html#reflecting-content-attributes-in-idl-attributes
	 * @see https://html.spec.whatwg.org/multipage/infrastructure.html#boolean-attribute
	 * @see https://html.spec.whatwg.org/multipage/infrastructure.html#enumerated-attribute
	 */
        exports.computeBooleanValue = computeBooleanValue, exports.setBooleanAttribute = setBooleanAttribute, 
        exports.computeEnumValue = computeEnumValue, exports.setEnumAttribute = setEnumAttribute;
    }, /* 48 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function keyInvalidError(key) {
            return new KeyInvalidError('Given key "' + key + '" is not valid');
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.CallbackInvalidError = exports.KeyInvalidError = void 0;
        var _classCallCheck2 = __webpack_require__(49), _classCallCheck3 = _interopRequireDefault(_classCallCheck2), _createClass2 = __webpack_require__(50), _createClass3 = _interopRequireDefault(_createClass2), _keycode = __webpack_require__(8), _keycode2 = _interopRequireDefault(_keycode), _createError = __webpack_require__(54), _createError2 = _interopRequireDefault(_createError), KeyInvalidError = (0, 
        _createError2.default)("KeyInvalidError"), CallbackInvalidError = (0, _createError2.default)("CallbackInvalidError"), KeyPressHandler = function() {
            /**
	  * Adds a new keypress handler
	  *
	  * @constructor
	  * @param {String} key A named key. Case insensitive.
	  * @param {Function} callback A callback function to invoke if the given key was activated.
	  *                            The callback is passed the event object.
	  * @param {Node} [elem]  The element to listen for the key activation.
	  *                       Defaults to document if none given.
	  */
            function KeyPressHandler(key, callback, elem) {
                var _this = this;
                (0, _classCallCheck3.default)(this, KeyPressHandler), this.keyListeners = {};
                var code = (0, _keycode2.default)(key);
                if ("undefined" == typeof code) throw keyInvalidError(key);
                if ("function" != typeof callback) throw new CallbackInvalidError();
                this.keyListeners[code] = callback, this.elem = elem || document, this.listener = function(e) {
                    _this.keyListeners[e.keyCode] && _this.keyListeners[e.keyCode](e);
                }, this.elem.addEventListener("keydown", this.listener);
            }
            /**
	  * Adds or replaces a key that is listened for.
	  *
	  * @param {String} key A named key. Case insensitive. Replaces any previous listened key.
	  * @param {Function} callback The callback function to invoke.
	  */
            return (0, _createClass3.default)(KeyPressHandler, [ {
                key: "add",
                value: function(key, callback) {
                    var code = (0, _keycode2.default)(key);
                    if ("undefined" == typeof code) throw keyInvalidError(key);
                    if ("function" != typeof callback) throw new CallbackInvalidError();
                    this.keyListeners[code] = callback;
                }
            }, {
                key: "destroy",
                value: function(key) {
                    key ? delete this.keyListeners[(0, _keycode2.default)(key)] : (// Don't change this to {}, otherwise a destroyed KeyPressHandler can be "recycled"
                    // without having an event listener attached
                    this.keyListeners = void 0, this.elem.removeEventListener("keydown", this.listener));
                }
            } ]), KeyPressHandler;
        }();
        exports.default = KeyPressHandler, exports.KeyInvalidError = KeyInvalidError, exports.CallbackInvalidError = CallbackInvalidError;
    }, /* 49 */
    /***/
    function(module, exports) {
        "use strict";
        exports.__esModule = !0, exports.default = function(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        };
    }, /* 50 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        exports.__esModule = !0;
        var _defineProperty = __webpack_require__(51), _defineProperty2 = _interopRequireDefault(_defineProperty);
        exports.default = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), (0, _defineProperty2.default)(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }();
    }, /* 51 */
    /***/
    function(module, exports, __webpack_require__) {
        module.exports = {
            default: __webpack_require__(52),
            __esModule: !0
        };
    }, /* 52 */
    /***/
    function(module, exports, __webpack_require__) {
        __webpack_require__(53);
        var $Object = __webpack_require__(15).Object;
        module.exports = function(it, key, desc) {
            return $Object.defineProperty(it, key, desc);
        };
    }, /* 53 */
    /***/
    function(module, exports, __webpack_require__) {
        var $export = __webpack_require__(13);
        // 19.1.2.4 / 15.2.3.6 Object.defineProperty(O, P, Attributes)
        $export($export.S + $export.F * !__webpack_require__(23), "Object", {
            defineProperty: __webpack_require__(19).f
        });
    }, /* 54 */
    /***/
    function(module, exports, __webpack_require__) {
        var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_RESULT__;
        //     create-error.js 0.3.1
        //     (c) 2013 Tim Griesser
        //     This source may be freely distributed under the MIT license.
        !function(factory) {
            "use strict";
            // A simple utility for subclassing the "Error"
            // object in multiple environments, while maintaining
            // relevant stack traces, messages, and prototypes.
            factory(function() {
                // Just a few helpers to clean up the function above
                // https://github.com/petkaantonov/bluebird/wiki/Optimization-killers
                function getName(args) {
                    return 0 === args.length ? "" : isError(args[0]) ? args[1] || "" : args[0];
                }
                function getTarget(args) {
                    return 0 === args.length ? Error : isError(args[0]) ? args[0] : Error;
                }
                function getProps(args) {
                    return 0 === args.length ? null : isError(args[0]) ? args[2] : args[1];
                }
                function inheritedKeys(obj) {
                    var ret = [];
                    for (var key in obj) ret.push(key);
                    return ret;
                }
                // Right now we're just assuming that a function in the first argument is an error.
                function isError(obj) {
                    return "function" == typeof obj;
                }
                // We don't need the full underscore check here, since it should either be
                // an object-literal, or nothing at all.
                function isObject(obj) {
                    return obj && "object" == typeof obj && "[object Object]" === toString.call(obj);
                }
                // Used to attach attributes to the error object in the constructor.
                function attachProps(context, target) {
                    if (isObject(target)) for (var keys = inheritedKeys(target), i = 0, l = keys.length; i < l; ++i) context[keys[i]] = clone(target[keys[i]]);
                }
                // Don't need the full-out "clone" mechanism here, since if you're
                // trying to set things other than empty arrays/objects on your
                // sub-classed `Error` object, you're probably doing it wrong.
                function clone(target) {
                    if (null == target || "object" != typeof target) return target;
                    var cloned = target.constructor ? target.constructor() : Object.create(null);
                    for (var attr in target) target.hasOwnProperty(attr) && (cloned[attr] = target[attr]);
                    return cloned;
                }
                var toString = Object.prototype.toString;
                // Creates an new error type with a "name",
                // and any additional properties that should be set
                // on the error instance.
                return function() {
                    function ErrorCtor(message, obj) {
                        attachProps(this, properties), attachProps(this, obj), this.message = message || this.message, 
                        message instanceof Error ? (this.message = message.message, this.stack = message.stack) : Error.captureStackTrace && Error.captureStackTrace(this, this.constructor);
                    }
                    function Err() {
                        this.constructor = ErrorCtor;
                    }
                    for (var args = new Array(arguments.length), i = 0; i < args.length; ++i) args[i] = arguments[i];
                    var name = getName(args), target = getTarget(args), properties = getProps(args);
                    return Err.prototype = target.prototype, ErrorCtor.prototype = new Err(), ErrorCtor.prototype.name = "" + name || "CustomError", 
                    ErrorCtor;
                };
            });
        }(function(createErrorLib) {
            __WEBPACK_AMD_DEFINE_FACTORY__ = createErrorLib, __WEBPACK_AMD_DEFINE_RESULT__ = "function" == typeof __WEBPACK_AMD_DEFINE_FACTORY__ ? __WEBPACK_AMD_DEFINE_FACTORY__.call(exports, __webpack_require__, exports, module) : __WEBPACK_AMD_DEFINE_FACTORY__, 
            !(void 0 !== __WEBPACK_AMD_DEFINE_RESULT__ && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
        });
    }, /* 55 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        // eslint-disable-next-line consistent-return
        function findHost(e) {
            // eslint-disable-next-line no-cond-assign, no-param-reassign
            for (;e = e.parentNode; ) {
                if (ShadowRoot && e instanceof ShadowRoot) // v0: parentNode
                // v1: host
                return e.parentNode || e.host;
                if (e.shadowRoot) return e;
            }
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.default = function(_ref, css) {
            // Currently this will get run on every render because it's not in the outer
            // scope (i.e. different fn reference every time).
            function ref(e) {
                var sheet = _jss2.default.createStyleSheet(css, {
                    elem: findHost(e)
                });
                ret = sheet.classes, e.textContent = sheet.toString();
            }
            var element = _ref.element, ret = void 0;
            return element("style", {
                css: css,
                ref: ref,
                skip: !0
            }), ret;
        };
        var _jss = __webpack_require__(56), _jss2 = _interopRequireDefault(_jss), _jssNested = __webpack_require__(75), _jssNested2 = _interopRequireDefault(_jssNested), _window = window, HTMLContentElement = _window.HTMLContentElement, HTMLSlotElement = _window.HTMLSlotElement, ShadowRoot = _window.ShadowRoot, native = function(fn) {
            return (fn || "").toString().indexOf("[native code]") > -1;
        }, supportsShadowDOM = native(ShadowRoot), supportsShadowDOMV0 = supportsShadowDOM && HTMLContentElement, supportsShadowDOMV1 = supportsShadowDOM && HTMLSlotElement, getRuleSelector = function(rule) {
            return rule.name || rule.selectorText;
        };
        _jss2.default.use((0, _jssNested2.default)()), // Polyfill :host
        // --------------
        _jss2.default.use(function(rule) {
            var selector = getRuleSelector(rule);
            if (0 === selector.indexOf(":host")) if (supportsShadowDOM) rule.selectorText = selector; else {
                var match = rule.selectorText.match(/:host\((.*)\)/), matchSelector = match ? match[1] : "";
                rule.selectorText = rule.options.sheet.options.elem.tagName.toLowerCase() + matchSelector;
            }
        }), // Polyfill ::slotted
        // ------------------
        _jss2.default.use(function(rule) {
            var selector = getRuleSelector(rule);
            if (selector.indexOf("::slotted") > -1) {
                var match = selector.match(/(.*)::slotted\((.*)\)/), matchSlot = match ? match[1] : "", matchSelector = match ? match[2] : "";
                if (supportsShadowDOMV1) rule.selectorText = selector; else if (supportsShadowDOMV0) rule.selectorText = matchSlot + "::content > " + matchSelector; else {
                    var lcTagName = rule.options.sheet.options.elem.tagName.toLowerCase();
                    rule.selectorText = lcTagName + " slot" + matchSlot + " > " + matchSelector;
                }
            }
        });
    }, /* 56 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        /**
	 * Creates a new instance of Jss.
	 *
	 * @see Jss
	 * @api public
	 */
        /**
	 * A better abstraction over CSS.
	 *
	 * @copyright Oleg Slobodskoi 2014-present
	 * @website https://github.com/cssinjs/jss
	 * @license MIT
	 */
        function create(options) {
            return new _Jss2.default(options);
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.Rule = exports.StyleSheet = exports.Jss = void 0, exports.create = create;
        var _Jss = __webpack_require__(57), _Jss2 = _interopRequireDefault(_Jss), _StyleSheet = __webpack_require__(58), _StyleSheet2 = _interopRequireDefault(_StyleSheet), _Rule = __webpack_require__(66), _Rule2 = _interopRequireDefault(_Rule);
        // For testing only.
        exports.Jss = _Jss2.default, exports.StyleSheet = _StyleSheet2.default, exports.Rule = _Rule2.default, 
        exports.default = create();
    }, /* 57 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(obj) {
            return typeof obj;
        } : function(obj) {
            return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        }, _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _StyleSheet = __webpack_require__(58), _StyleSheet2 = _interopRequireDefault(_StyleSheet), _PluginsRegistry = __webpack_require__(73), _PluginsRegistry2 = _interopRequireDefault(_PluginsRegistry), _SheetsRegistry = __webpack_require__(74), _SheetsRegistry2 = _interopRequireDefault(_SheetsRegistry), _createRule2 = __webpack_require__(65), _createRule3 = _interopRequireDefault(_createRule2), _findRenderer = __webpack_require__(59), _findRenderer2 = _interopRequireDefault(_findRenderer), _utils = __webpack_require__(67), Jss = function() {
            /**
	   * Create a jss instance to allow local setup.
	   *
	   * @see .setup()
	   */
            function Jss(options) {
                _classCallCheck(this, Jss), this.sheets = new _SheetsRegistry2.default(), this.plugins = new _PluginsRegistry2.default(), 
                this.version = "", this.setup(options);
            }
            /**
	   * Setup JSS.
	   *
	   * Options:
	   * - `generateClassName` accepts a styles string and a Rule instance.
	   * - `plugins`
	   *
	   * @param {Object} options
	   * @return {Jss}
	   * @api public
	   */
            return _createClass(Jss, [ {
                key: "setup",
                value: function() {
                    var _this = this, options = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {};
                    return this.generateClassName = options.generateClassName || _utils.generateClassName, 
                    options.plugins && options.plugins.forEach(function(plugin) {
                        _this.use(plugin);
                    }), this;
                }
            }, {
                key: "createStyleSheet",
                value: function(rules, options) {
                    var sheet = new _StyleSheet2.default(rules, _extends({}, options, {
                        jss: this
                    }));
                    return this.sheets.add(sheet), sheet;
                }
            }, {
                key: "removeStyleSheet",
                value: function(sheet) {
                    return sheet.detach(), this.sheets.remove(sheet), this;
                }
            }, {
                key: "createRule",
                value: function(selector, style, options) {
                    // Enable rule without selector.
                    "object" == ("undefined" == typeof selector ? "undefined" : _typeof(selector)) && (options = style, 
                    style = selector, selector = null);
                    var rule = (0, _createRule3.default)(selector, style, _extends({
                        jss: this,
                        Renderer: (0, _findRenderer2.default)(options)
                    }, options));
                    return this.plugins.run(rule), rule;
                }
            }, {
                key: "use",
                value: function() {
                    for (var _this2 = this, _len = arguments.length, plugins = Array(_len), _key = 0; _key < _len; _key++) plugins[_key] = arguments[_key];
                    return plugins.forEach(function(plugin) {
                        return _this2.plugins.use(plugin);
                    }), this;
                }
            } ]), Jss;
        }();
        exports.default = Jss;
    }, /* 58 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _findRenderer = __webpack_require__(59), _findRenderer2 = _interopRequireDefault(_findRenderer), _RulesContainer = __webpack_require__(64), _RulesContainer2 = _interopRequireDefault(_RulesContainer), StyleSheet = function() {
            function StyleSheet(rules, options) {
                _classCallCheck(this, StyleSheet);
                var named = null == options.named || options.named, index = "number" == typeof options.index ? options.index : 0, Renderer = (0, 
                _findRenderer2.default)(options);
                // Rules registry for access by .getRule() method.
                // It contains the same rule registered by name and by class name.
                this.rules = Object.create(null), this.attached = !1, this.deployed = !1, this.linked = !1, 
                this.classes = Object.create(null), this.renderer = new Renderer(options), this.renderer.createElement(), 
                this.options = _extends({}, options, {
                    sheet: this,
                    parent: this,
                    classes: this.classes,
                    renderer: this.renderer,
                    named: named,
                    index: index,
                    Renderer: Renderer
                }), this.rules = new _RulesContainer2.default(this.options);
                for (var name in rules) this.rules.createAndRegister(name, rules[name]);
                options.jss.plugins.run(this.rules.getIndex());
            }
            /**
	   * Attach renderable to the render tree.
	   *
	   * @api public
	   * @return {StyleSheet}
	   */
            return _createClass(StyleSheet, [ {
                key: "attach",
                value: function() {
                    return this.attached ? this : (this.deployed || this.deploy(), this.renderer.attach(), 
                    !this.linked && this.options.link && this.link(), this.attached = !0, this);
                }
            }, {
                key: "detach",
                value: function() {
                    return this.attached ? (this.renderer.detach(), this.attached = !1, this) : this;
                }
            }, {
                key: "addRule",
                value: function(name, style, options) {
                    var queue = this.queue;
                    // Plugins can create rules.
                    // In order to preserve the right order, we need to queue all `.addRule` calls,
                    // which happen after the first `rules.create()` call.
                    this.attached && !queue && (this.queue = []);
                    var rule = this.rules.create(name, style, options);
                    if (this.attached) {
                        if (!this.deployed) return rule;
                        // Don't insert rule directly if there is no stringified version yet.
                        // It will be inserted all together when .attach is called.
                        if (queue) queue.push(rule); else {
                            var renderable = this.renderer.insertRule(rule);
                            this.options.link && (rule.renderable = renderable), this.queue && (this.queue.forEach(this.renderer.insertRule, this.renderer), 
                            this.queue = null);
                        }
                        return rule;
                    }
                    // We can't add rules to a detached style node.
                    // We will redeploy the sheet once user will attach it.
                    return this.deployed = !1, rule;
                }
            }, {
                key: "addRules",
                value: function(rules, options) {
                    var added = [];
                    for (var name in rules) added.push(this.addRule(name, rules[name], options));
                    return added;
                }
            }, {
                key: "getRule",
                value: function(nameOrSelector) {
                    return this.rules.get(nameOrSelector);
                }
            }, {
                key: "deleteRule",
                value: function(nameOrSelector) {
                    var rule = this.rules.get(nameOrSelector);
                    return !!rule && (this.rules.remove(rule), !this.attached || this.renderer.deleteRule(rule.renderable));
                }
            }, {
                key: "indexOf",
                value: function(rule) {
                    return this.rules.indexOf(rule);
                }
            }, {
                key: "toString",
                value: function(options) {
                    return this.rules.toString(options);
                }
            }, {
                key: "deploy",
                value: function() {
                    return this.renderer.deploy(this), this.deployed = !0, this;
                }
            }, {
                key: "link",
                value: function() {
                    var renderables = this.renderer.getRules();
                    for (var selector in renderables) {
                        var rule = this.rules.get(selector);
                        rule && (rule.renderable = renderables[selector]);
                    }
                    return this.linked = !0, this;
                }
            } ]), StyleSheet;
        }();
        exports.default = StyleSheet;
    }, /* 59 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        /**
	 * Find proper renderer.
	 * Option `virtual` is used to force use of VirtualRenderer even if DOM is
	 * detected, used for testing only.
	 *
	 * @param {Object} options
	 * @return {Renderer}
	 * @api private
	 */
        function findRenderer() {
            var options = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {};
            return options.Renderer ? options.Renderer : options.virtual || !_isInBrowser2.default ? _VirtualRenderer2.default : _DomRenderer2.default;
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.default = findRenderer;
        var _isInBrowser = __webpack_require__(60), _isInBrowser2 = _interopRequireDefault(_isInBrowser), _DomRenderer = __webpack_require__(61), _DomRenderer2 = _interopRequireDefault(_DomRenderer), _VirtualRenderer = __webpack_require__(63), _VirtualRenderer2 = _interopRequireDefault(_VirtualRenderer);
    }, /* 60 */
    /***/
    function(module, exports) {
        "use strict";
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(obj) {
            return typeof obj;
        } : function(obj) {
            return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        }, isBrowser = exports.isBrowser = "object" === ("undefined" == typeof window ? "undefined" : _typeof(window)) && "object" === ("undefined" == typeof document ? "undefined" : _typeof(document)) && 9 === document.nodeType;
        exports.default = isBrowser;
    }, /* 61 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        /**
	 * Get or set a style property.
	 *
	 * @param {CSSStyleRule} element
	 * @param {String} name
	 * @param {String} [value]
	 * @return {String|Boolean}
	 * @api private
	 */
        function style(CSSStyleRule, name, value) {
            try {
                // It is a getter.
                if (null == value) return CSSStyleRule.style[name];
                CSSStyleRule.style[name] = value;
            } catch (err) {
                // IE may throw if property is unknown.
                return !1;
            }
            return !0;
        }
        /**
	 * Get or set the selector.
	 *
	 * @param {CSSStyleRule} CSSStyleRule
	 * @param {String} [selectorText]
	 * @return {String|Boolean}
	 * @api private
	 */
        function selector(CSSStyleRule, selectorText) {
            // It is a getter.
            // It is a getter.
            return null == selectorText ? CSSStyleRule.selectorText : (CSSStyleRule.selectorText = selectorText, 
            CSSStyleRule.selectorText === selectorText);
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _warning = __webpack_require__(62), _warning2 = _interopRequireDefault(_warning), DomRenderer = function() {
            function DomRenderer(options) {
                _classCallCheck(this, DomRenderer), this.options = options, this.style = style, 
                this.selector = selector;
            }
            /**
	   * Create and ref style element.
	   *
	   * @api private
	   */
            return _createClass(DomRenderer, [ {
                key: "createElement",
                value: function() {
                    var _options = this.options, media = _options.media, meta = _options.meta, element = _options.element;
                    this.head = document.head || document.getElementsByTagName("head")[0], this.element = element || document.createElement("style"), 
                    this.element.type = "text/css", this.element.setAttribute("data-jss", ""), media && this.element.setAttribute("media", media), 
                    meta && this.element.setAttribute("data-meta", meta);
                }
            }, {
                key: "attach",
                value: function() {
                    // In the case the element node is external and it is already in the DOM.
                    if (!this.element.parentNode) {
                        var anchorEl = null, _options2 = this.options, index = _options2.index, jss = _options2.jss, registry = jss.sheets.registry;
                        if (registry.length > 1) {
                            // Try to insert by index if set
                            if ("number" == typeof index) for (var i = 0; i < registry.length; i++) {
                                var sheet = registry[i];
                                if (sheet.attached && "number" == typeof sheet.options.index && !(sheet.options.index <= index)) {
                                    anchorEl = sheet.renderer.element;
                                    break;
                                }
                            }
                            // Otherwise insert after the last attached
                            if (!anchorEl) for (var _i = registry.length - 1; _i >= 0; _i--) {
                                var _sheet = registry[_i];
                                if (_sheet.attached) {
                                    anchorEl = _sheet.renderer.element.nextElementSibling;
                                    break;
                                }
                            }
                        }
                        if (!anchorEl) // Try find a comment placeholder if registry is empty
                        for (var _i2 = 0; _i2 < this.head.childNodes.length; _i2++) {
                            var el = this.head.childNodes[_i2];
                            if ("jss" === el.nodeValue) {
                                anchorEl = el;
                                break;
                            }
                        }
                        this.head.insertBefore(this.element, anchorEl);
                    }
                }
            }, {
                key: "detach",
                value: function() {
                    this.element.parentNode.removeChild(this.element);
                }
            }, {
                key: "deploy",
                value: function(sheet) {
                    this.element.textContent = "\n" + sheet.toString() + "\n";
                }
            }, {
                key: "insertRule",
                value: function(rule) {
                    var sheet = this.element.sheet, cssRules = sheet.cssRules, index = cssRules.length;
                    try {
                        sheet.insertRule(rule.toString(), index);
                    } catch (err) {
                        (0, _warning2.default)(!1, "[JSS] Can not insert an unsupported rule \n\r%s", rule.toString());
                    }
                    return cssRules[index];
                }
            }, {
                key: "deleteRule",
                value: function(CSSStyleRule) {
                    for (var sheet = this.element.sheet, cssRules = sheet.cssRules, index = 0; index < cssRules.length; index++) if (CSSStyleRule === cssRules[index]) return sheet.deleteRule(index), 
                    !0;
                    return !1;
                }
            }, {
                key: "getRules",
                value: function() {
                    for (var cssRules = this.element.sheet.cssRules, rules = Object.create(null), index = 0; index < cssRules.length; index++) {
                        var CSSStyleRule = cssRules[index];
                        rules[CSSStyleRule.selectorText] = CSSStyleRule;
                    }
                    return rules;
                }
            } ]), DomRenderer;
        }();
        exports.default = DomRenderer;
    }, /* 62 */
    /***/
    function(module, exports, __webpack_require__) {
        /**
	 * Copyright 2014-2015, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * LICENSE file in the root directory of this source tree. An additional grant
	 * of patent rights can be found in the PATENTS file in the same directory.
	 */
        "use strict";
        /**
	 * Similar to invariant but only logs a warning if the condition is not met.
	 * This can be used to log issues in development environments in critical
	 * paths. Removing the logging code for production environments will keep the
	 * same logic and follow the same code paths.
	 */
        var warning = function() {};
        module.exports = warning;
    }, /* 63 */
    /***/
    function(module, exports) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), VirtualRenderer = function() {
            function VirtualRenderer() {
                _classCallCheck(this, VirtualRenderer);
            }
            return _createClass(VirtualRenderer, [ {
                key: "createElement",
                value: function() {}
            }, {
                key: "style",
                value: function() {}
            }, {
                key: "selector",
                value: function() {}
            }, {
                key: "attach",
                value: function() {}
            }, {
                key: "detach",
                value: function() {}
            }, {
                key: "deploy",
                value: function() {}
            }, {
                key: "insertRule",
                value: function() {}
            }, {
                key: "deleteRule",
                value: function() {}
            }, {
                key: "getRules",
                value: function() {
                    return {};
                }
            } ]), VirtualRenderer;
        }();
        exports.default = VirtualRenderer;
    }, /* 64 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _createRule = __webpack_require__(65), _createRule2 = _interopRequireDefault(_createRule), RulesContainer = function() {
            function RulesContainer(options) {
                _classCallCheck(this, RulesContainer), // Rules registry for access by .get() method.
                // It contains the same rule registered by name and by class name.
                this.map = Object.create(null), // Used to ensure correct rules order.
                this.index = [], this.options = options, // Default object is needed when rule is created without a sheet.
                this.classes = options.classes || {};
            }
            /**
	   * Create and register rule, run plugins.
	   *
	   * Will not render after style sheet was rendered the first time.
	   * Will link the rule in `this.rules`.
	   *
	   * @see createRule
	   * @api public
	   */
            return _createClass(RulesContainer, [ {
                key: "create",
                value: function(name, style, options) {
                    var rule = this.createAndRegister(name, style, options);
                    return this.options.jss.plugins.run(rule), rule;
                }
            }, {
                key: "remove",
                value: function(rule) {
                    this.unregister(rule), this.index.splice(this.indexOf(rule), 1);
                }
            }, {
                key: "get",
                value: function(nameOrSelector) {
                    return this.map[nameOrSelector];
                }
            }, {
                key: "indexOf",
                value: function(rule) {
                    return this.index.indexOf(rule);
                }
            }, {
                key: "register",
                value: function(rule) {
                    return rule.name && (this.map[rule.name] = rule), rule.className && rule.name && (this.classes[rule.name] = rule.className), 
                    rule.selector && (this.map[rule.selector] = rule), this;
                }
            }, {
                key: "unregister",
                value: function(rule) {
                    return delete this.map[rule.name], delete this.map[rule.selector], delete this.classes[rule.name], 
                    this;
                }
            }, {
                key: "toString",
                value: function(options) {
                    for (var str = "", index = 0; index < this.index.length; index++) {
                        var rule = this.index[index], css = rule.toString(options);
                        css && (str && (str += "\n"), str += css);
                    }
                    return str;
                }
            }, {
                key: "getIndex",
                value: function() {
                    // We need to clone the array, because while
                    return this.index.slice(0);
                }
            }, {
                key: "createAndRegister",
                value: function(name, style, options) {
                    options = _extends({}, options, {
                        classes: this.classes,
                        parent: this.options.parent,
                        sheet: this.options.sheet,
                        jss: this.options.jss,
                        Renderer: this.options.Renderer
                    }), // Currently the only case where we have no class name is child rules of
                    // some conditional rule.
                    options.className || (options.className = this.classes[name]), // Scope options overwrite instance options.
                    null == options.named && (options.named = this.options.named);
                    var rule = (0, _createRule2.default)(name, style, options);
                    this.register(rule);
                    var index = void 0 === options.index ? this.index.length : options.index;
                    return this.index.splice(index, 0, rule), rule;
                }
            } ]), RulesContainer;
        }();
        exports.default = RulesContainer;
    }, /* 65 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        /**
	 * Create rule factory.
	 *
	 * Options:
	 *   - `named` pass `false` if selector argument is defined by user
	 *   - `className` pass class name if you to define it manually
	 *
	 * @param {Object} [selector] if you don't pass selector - it will be generated
	 * @param {Object} [style] declarations block
	 * @param {Object} [options] rule options
	 * @return {Object} rule
	 * @api private
	 */
        function createRule(selector) {
            var style = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : {}, options = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : {}, RuleClass = _Rule2.default;
            // Is an at-rule.
            if (selector && "@" === selector[0]) {
                var name = atRuleNameRegExp.exec(selector)[0], AtRule = atRuleClassMap[name];
                AtRule ? RuleClass = AtRule : (0, _warning2.default)(!1, "[JSS] Unknown at-rule %s", name);
            }
            return null == options.named && (options.named = !0), new RuleClass(selector, style, options);
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.default = createRule;
        var _warning = __webpack_require__(62), _warning2 = _interopRequireDefault(_warning), _Rule = __webpack_require__(66), _Rule2 = _interopRequireDefault(_Rule), _SimpleRule = __webpack_require__(69), _SimpleRule2 = _interopRequireDefault(_SimpleRule), _KeyframeRule = __webpack_require__(70), _KeyframeRule2 = _interopRequireDefault(_KeyframeRule), _ConditionalRule = __webpack_require__(71), _ConditionalRule2 = _interopRequireDefault(_ConditionalRule), _FontFaceRule = __webpack_require__(72), _FontFaceRule2 = _interopRequireDefault(_FontFaceRule), atRuleClassMap = {
            "@charset": _SimpleRule2.default,
            "@import": _SimpleRule2.default,
            "@namespace": _SimpleRule2.default,
            "@keyframes": _KeyframeRule2.default,
            "@media": _ConditionalRule2.default,
            "@supports": _ConditionalRule2.default,
            "@font-face": _FontFaceRule2.default
        }, atRuleNameRegExp = /^@[^ ]+/;
    }, /* 66 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(obj) {
            return typeof obj;
        } : function(obj) {
            return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _utils = __webpack_require__(67), parse = JSON.parse, stringify = JSON.stringify, Rule = function() {
            function Rule(selector, style, options) {
                _classCallCheck(this, Rule);
                // We expect style to be plain object.
                // To avoid original style object mutations, we clone it and hash it
                // along the way.
                // It is also the fastetst way.
                // http://jsperf.com/lodash-deepclone-vs-jquery-extend-deep/6
                var styleStr = stringify(style);
                this.style = parse(styleStr), this.type = "regular", this.options = options, this.selectorText = selector || "", 
                this.className = options.className || "", this.originalStyle = style, options.named && (this.name = selector, 
                this.className || (this.className = options.jss.generateClassName(styleStr, this)), 
                this.selectorText = "." + this.className), this.renderer = options.sheet ? options.sheet.renderer : new options.Renderer();
            }
            /**
	   * Set selector string.
	   * Attenition: use this with caution. Most browser didn't implement selector
	   * text setter, so this will result in rerendering of entire style sheet.
	   *
	   * @param {String} selector
	   * @api public
	   */
            return _createClass(Rule, [ {
                key: "prop",
                /**
	     * Get or set a style property.
	     *
	     * @param {String} name
	     * @param {String|Number} [value]
	     * @return {Rule|String|Number}
	     * @api public
	     */
                value: function(name, value) {
                    // Its a setter.
                    // Its a setter.
                    // Only defined if option linked is true.
                    // Its a getter, read the value from the DOM if its not cached.
                    // Cache the value after we have got it from the DOM once.
                    return null != value ? (this.style[name] = value, this.renderable && this.renderer.style(this.renderable, name, value), 
                    this) : (this.renderable && null == this.style[name] && (this.style[name] = this.renderer.style(this.renderable, name)), 
                    this.style[name]);
                }
            }, {
                key: "applyTo",
                value: function(renderable) {
                    var json = this.toJSON();
                    for (var prop in json) this.renderer.style(renderable, prop, json[prop]);
                    return this;
                }
            }, {
                key: "toJSON",
                value: function() {
                    var json = Object.create(null);
                    for (var prop in this.style) {
                        var value = this.style[prop];
                        "object" !== ("undefined" == typeof value ? "undefined" : _typeof(value)) ? json[prop] = value : Array.isArray(value) && (json[prop] = (0, 
                        _utils.toCssValue)(value));
                    }
                    return json;
                }
            }, {
                key: "toString",
                value: function(options) {
                    return (0, _utils.toCss)(this.selector, this.style, options);
                }
            }, {
                key: "selector",
                set: function() {
                    var selector = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : "", sheet = this.options.sheet;
                    if (// After we modify selector, ref by old selector needs to be removed.
                    sheet && sheet.rules.unregister(this), this.selectorText = selector, this.className = (0, 
                    _utils.findClassNames)(selector), !this.renderable) // Register the rule with new selector.
                    return void (sheet && sheet.rules.register(this));
                    var changed = this.renderer.selector(this.renderable, selector);
                    // If selector setter is not implemented, rerender the sheet.
                    // We need to delete renderable from the rule, because when sheet.deploy()
                    // calls rule.toString, it will get the old selector.
                    return changed ? void sheet.rules.register(this) : (delete this.renderable, sheet.rules.register(this), 
                    void sheet.deploy().link());
                },
                get: function() {
                    return this.renderable ? this.renderer.selector(this.renderable) : this.selectorText;
                }
            } ]), Rule;
        }();
        exports.default = Rule;
    }, /* 67 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        /**
	 * Generates a class name using murmurhash.
	 *
	 * @param {String} str
	 * @param {Rule} rule
	 * @return {String}
	 */
        function generateClassName(str, rule) {
            var hash = (0, _murmurhash3_gc2.default)(str);
            return rule.name ? rule.name + "-" + hash : hash;
        }
        /**
	 * Indent a string.
	 *
	 * http://jsperf.com/array-join-vs-for
	 *
	 * @param {Number} level
	 * @param {String} str
	 * @return {String}
	 */
        function indent(level, str) {
            for (var indentStr = "", index = 0; index < level; index++) indentStr += "  ";
            return indentStr + str;
        }
        /**
	 * Converts a Rule to CSS string.
	 *
	 * Options:
	 * - `selector` use `false` to get a rule without selector
	 * - `indentationLevel` level of indentation
	 *
	 * @param {String} selector
	 * @param {Object} style
	 * @param {Object} options
	 * @return {String}
	 */
        function toCss(selector, style) {
            var options = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : {}, indentationLevel = options.indentationLevel || 0, str = "", fallbacks = style.fallbacks;
            // Apply fallbacks first.
            if (options.selector !== !1 && indentationLevel++, fallbacks) // Array syntax {fallbacks: [{prop: value}]}
            if (Array.isArray(fallbacks)) for (var index = 0; index < fallbacks.length; index++) {
                var fallback = fallbacks[index];
                for (var prop in fallback) {
                    var value = fallback[prop];
                    null != value && (str += "\n" + indent(indentationLevel, prop + ": " + toCssValue(value) + ";"));
                }
            } else for (var _prop in fallbacks) {
                var _value = fallbacks[_prop];
                null != _value && (str += "\n" + indent(indentationLevel, _prop + ": " + toCssValue(_value) + ";"));
            }
            for (var _prop2 in style) {
                var _value2 = style[_prop2];
                null != _value2 && "fallbacks" !== _prop2 && (str += "\n" + indent(indentationLevel, _prop2 + ": " + toCssValue(_value2) + ";"));
            }
            return str ? (options.selector !== !1 && (indentationLevel--, str = indent(indentationLevel, selector + " {" + str + "\n") + indent(indentationLevel, "}")), 
            str) : str;
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        }), exports.findClassNames = exports.toCssValue = void 0, exports.generateClassName = generateClassName, 
        exports.toCss = toCss;
        var _murmurhash3_gc = __webpack_require__(68), _murmurhash3_gc2 = _interopRequireDefault(_murmurhash3_gc), toCssValue = exports.toCssValue = function() {
            function joinWithSpace(value) {
                return value.join(" ");
            }
            return function joinWithComma(value) {
                // Support space separated values.
                return Array.isArray(value) ? Array.isArray(value[0]) ? joinWithComma(value.map(joinWithSpace)) : value.join(", ") : value;
            };
        }();
        exports.findClassNames = function() {
            var dotsRegExp = /[.]/g, classesRegExp = /[.][^ ,]+/g;
            return function(selector) {
                var classes = selector.match(classesRegExp);
                return classes ? classes.join(" ").replace(dotsRegExp, "") : "";
            };
        }();
    }, /* 68 */
    /***/
    function(module, exports, __webpack_require__) {
        /**
	 * JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)
	 * 
	 * @author <a href="mailto:gary.court@gmail.com">Gary Court</a>
	 * @see http://github.com/garycourt/murmurhash-js
	 * @author <a href="mailto:aappleby@gmail.com">Austin Appleby</a>
	 * @see http://sites.google.com/site/murmurhash/
	 * 
	 * @param {string} key ASCII only
	 * @param {number} seed Positive integer only
	 * @return {number} 32-bit positive integer hash 
	 */
        function murmurhash3_32_gc(key, seed) {
            var remainder, bytes, h1, h1b, c1, c2, k1, i;
            for (remainder = 3 & key.length, // key.length % 4
            bytes = key.length - remainder, h1 = seed, c1 = 3432918353, c2 = 461845907, i = 0; i < bytes; ) k1 = 255 & key.charCodeAt(i) | (255 & key.charCodeAt(++i)) << 8 | (255 & key.charCodeAt(++i)) << 16 | (255 & key.charCodeAt(++i)) << 24, 
            ++i, k1 = (65535 & k1) * c1 + (((k1 >>> 16) * c1 & 65535) << 16) & 4294967295, k1 = k1 << 15 | k1 >>> 17, 
            k1 = (65535 & k1) * c2 + (((k1 >>> 16) * c2 & 65535) << 16) & 4294967295, h1 ^= k1, 
            h1 = h1 << 13 | h1 >>> 19, h1b = 5 * (65535 & h1) + ((5 * (h1 >>> 16) & 65535) << 16) & 4294967295, 
            h1 = (65535 & h1b) + 27492 + (((h1b >>> 16) + 58964 & 65535) << 16);
            switch (k1 = 0, remainder) {
              case 3:
                k1 ^= (255 & key.charCodeAt(i + 2)) << 16;

              case 2:
                k1 ^= (255 & key.charCodeAt(i + 1)) << 8;

              case 1:
                k1 ^= 255 & key.charCodeAt(i), k1 = (65535 & k1) * c1 + (((k1 >>> 16) * c1 & 65535) << 16) & 4294967295, 
                k1 = k1 << 15 | k1 >>> 17, k1 = (65535 & k1) * c2 + (((k1 >>> 16) * c2 & 65535) << 16) & 4294967295, 
                h1 ^= k1;
            }
            return h1 ^= key.length, h1 ^= h1 >>> 16, h1 = 2246822507 * (65535 & h1) + ((2246822507 * (h1 >>> 16) & 65535) << 16) & 4294967295, 
            h1 ^= h1 >>> 13, h1 = 3266489909 * (65535 & h1) + ((3266489909 * (h1 >>> 16) & 65535) << 16) & 4294967295, 
            h1 ^= h1 >>> 16, h1 >>> 0;
        }
        module.exports = murmurhash3_32_gc;
    }, /* 69 */
    /***/
    function(module, exports) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), SimpleRule = function() {
            function SimpleRule(name, value, options) {
                _classCallCheck(this, SimpleRule), this.type = "simple", this.name = name, this.value = value, 
                this.options = options;
            }
            /**
	   * Generates a CSS string.
	   *
	   * @return {String}
	   * @api public
	   */
            return _createClass(SimpleRule, [ {
                key: "toString",
                value: function() {
                    if (Array.isArray(this.value)) {
                        for (var str = "", index = 0; index < this.value.length; index++) str += this.name + " " + this.value[index] + ";", 
                        this.value[index + 1] && (str += "\n");
                        return str;
                    }
                    return this.name + " " + this.value + ";";
                }
            } ]), SimpleRule;
        }();
        exports.default = SimpleRule;
    }, /* 70 */
    /***/
    function(module, exports) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), KeyframeRule = function() {
            function KeyframeRule(selector, frames, options) {
                _classCallCheck(this, KeyframeRule), this.type = "keyframe", this.selector = selector, 
                this.options = options, this.frames = this.formatFrames(frames);
            }
            /**
	   * Creates formatted frames where every frame value is a rule instance.
	   *
	   * @api private
	   */
            return _createClass(KeyframeRule, [ {
                key: "formatFrames",
                value: function(frames) {
                    var newFrames = Object.create(null);
                    for (var name in frames) {
                        var options = _extends({}, this.options, {
                            named: !1,
                            parent: this
                        });
                        newFrames[name] = this.options.jss.createRule(name, frames[name], options);
                    }
                    return newFrames;
                }
            }, {
                key: "toString",
                value: function() {
                    var str = this.selector + " {\n", options = {
                        indentationLevel: 1
                    };
                    for (var name in this.frames) str += this.frames[name].toString(options) + "\n";
                    return str += "}";
                }
            } ]), KeyframeRule;
        }();
        exports.default = KeyframeRule;
    }, /* 71 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        }, _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _RulesContainer = __webpack_require__(64), _RulesContainer2 = _interopRequireDefault(_RulesContainer), ConditionalRule = function() {
            function ConditionalRule(selector, rules, options) {
                _classCallCheck(this, ConditionalRule), this.type = "conditional", this.selector = selector, 
                this.options = options, this.rules = new _RulesContainer2.default(_extends({}, options, {
                    parent: this
                }));
                for (var name in rules) this.createAndRegisterRule(name, rules[name]);
                options.jss.plugins.run(this.rules.getIndex());
            }
            /**
	   * Get a rule.
	   *
	   * @see RulesContainer.get()
	   * @api public
	   */
            return _createClass(ConditionalRule, [ {
                key: "getRule",
                value: function(nameOrSelector) {
                    return this.rules.get(nameOrSelector);
                }
            }, {
                key: "indexOf",
                value: function(rule) {
                    return this.rules.indexOf(rule);
                }
            }, {
                key: "addRule",
                value: function(name, style, options) {
                    return this.rules.create(name, style, this.getChildOptions(options));
                }
            }, {
                key: "toString",
                value: function() {
                    var inner = this.rules.toString({
                        indentationLevel: 1
                    });
                    return inner ? this.selector + " {\n" + inner + "\n}" : "";
                }
            }, {
                key: "getChildOptions",
                value: function(options) {
                    return _extends({}, this.options, {
                        parent: this
                    }, options);
                }
            }, {
                key: "createAndRegisterRule",
                value: function(name, style) {
                    return this.rules.createAndRegister(name, style, this.getChildOptions());
                }
            } ]), ConditionalRule;
        }();
        exports.default = ConditionalRule;
    }, /* 72 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), _utils = __webpack_require__(67), Rule = function() {
            function Rule(selector, style, options) {
                _classCallCheck(this, Rule), this.type = "font-face", this.options = options, this.selector = selector, 
                this.style = style;
            }
            /**
	   * Generates a CSS string.
	   *
	   * @see toCss
	   * @api public
	   */
            return _createClass(Rule, [ {
                key: "toString",
                value: function(options) {
                    if (Array.isArray(this.style)) {
                        for (var str = "", index = 0; index < this.style.length; index++) str += (0, _utils.toCss)(this.selector, this.style[index], options), 
                        this.style[index + 1] && (str += "\n");
                        return str;
                    }
                    return (0, _utils.toCss)(this.selector, this.style, options);
                }
            } ]), Rule;
        }();
        exports.default = Rule;
    }, /* 73 */
    /***/
    function(module, exports) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), PluginsRegistry = function() {
            function PluginsRegistry() {
                _classCallCheck(this, PluginsRegistry), this.registry = [];
            }
            /**
	   * Register plugin. Passed function will be invoked with a rule instance.
	   *
	   * @param {Function} fn
	   * @api public
	   */
            return _createClass(PluginsRegistry, [ {
                key: "use",
                value: function(fn) {
                    this.registry.push(fn);
                }
            }, {
                key: "run",
                value: function(rules) {
                    return Array.isArray(rules) ? void rules.forEach(this.runOne, this) : void this.runOne(rules);
                }
            }, {
                key: "runOne",
                value: function(rule) {
                    for (var index = 0; index < this.registry.length; index++) this.registry[index](rule);
                }
            } ]), PluginsRegistry;
        }();
        exports.default = PluginsRegistry;
    }, /* 74 */
    /***/
    function(module, exports) {
        "use strict";
        function _classCallCheck(instance, Constructor) {
            if (!(instance instanceof Constructor)) throw new TypeError("Cannot call a class as a function");
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _createClass = function() {
            function defineProperties(target, props) {
                for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || !1, descriptor.configurable = !0, 
                    "value" in descriptor && (descriptor.writable = !0), Object.defineProperty(target, descriptor.key, descriptor);
                }
            }
            return function(Constructor, protoProps, staticProps) {
                return protoProps && defineProperties(Constructor.prototype, protoProps), staticProps && defineProperties(Constructor, staticProps), 
                Constructor;
            };
        }(), SheetsRegistry = function() {
            function SheetsRegistry() {
                _classCallCheck(this, SheetsRegistry), this.registry = [];
            }
            /**
	   * Register a style sheet.
	   *
	   * @param {StyleSheet} sheet
	   * @api public
	   */
            return _createClass(SheetsRegistry, [ {
                key: "add",
                value: function(sheet) {
                    var registry = this.registry, index = sheet.options.index;
                    if (!registry.length || index >= registry[registry.length - 1].options.index) return void registry.push(sheet);
                    for (var i = 0; i < registry.length; i++) {
                        var options = registry[i].options;
                        if (options.index > index) return void registry.splice(i, 0, sheet);
                    }
                }
            }, {
                key: "remove",
                value: function(sheet) {
                    var index = this.registry.indexOf(sheet);
                    this.registry.splice(index, 1);
                }
            }, {
                key: "toString",
                value: function(options) {
                    return this.registry.map(function(sheet) {
                        return sheet.toString(options);
                    }).join("\n");
                }
            } ]), SheetsRegistry;
        }();
        exports.default = SheetsRegistry;
    }, /* 75 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        function _defineProperty(obj, key, value) {
            return key in obj ? Object.defineProperty(obj, key, {
                value: value,
                enumerable: !0,
                configurable: !0,
                writable: !0
            }) : obj[key] = value, obj;
        }
        /**
	 * Convert nested rules to separate, remove them from original styles.
	 *
	 * @param {Rule} rule
	 * @api public
	 */
        function jssNested() {
            // Get a function to be used for $ref replacement.
            function getReplaceRef(container) {
                return function(match, name) {
                    var rule = container.getRule(name);
                    return rule ? rule.selector : ((0, _warning2.default)(!1, "[JSS] Could not find the referenced rule %s. \r\n%s", name, rule), 
                    name);
                };
            }
            function addConditional(name, rule, container) {
                var conditionalContainer = container.getRule(name);
                if (!conditionalContainer) // Add conditional to container because it does not exist yet.
                return void container.addRule(name, _defineProperty({}, rule.name, rule.style[name]));
                // It exists, so now check if we have already defined styles
                // for example @media print { .some-style { display: none; } } .
                var ruleToExtend = conditionalContainer.getRule(rule.name);
                // Conditional rule in container has no rule so create it.
                return ruleToExtend ? void (ruleToExtend.style = _extends({}, ruleToExtend.style, rule.style[name])) : void conditionalContainer.addRule(rule.name, rule.style[name]);
            }
            function replaceParentRefs(nestedProp, parentProp) {
                for (var parentSelectors = parentProp.split(separatorRegExp), nestedSelectors = nestedProp.split(separatorRegExp), result = "", i = 0; i < parentSelectors.length; i++) for (var parent = parentSelectors[i], j = 0; j < nestedSelectors.length; j++) {
                    var nested = nestedSelectors[j];
                    result && (result += ", "), // Replace all & by the parent or prefix & with the parent.
                    result += hasAnd(nested) ? nested.replace(parentRegExp, parent) : parent + " " + nested;
                }
                return result;
            }
            function getOptions(rule, container, options) {
                // Options has been already created, now we only increase index.
                if (options) return _extends({}, options, {
                    index: options.index + 1
                });
                var nestingLevel = rule.options.nestingLevel;
                return nestingLevel = void 0 === nestingLevel ? 1 : nestingLevel + 1, _extends({}, rule.options, {
                    named: !1,
                    nestingLevel: nestingLevel,
                    index: container.indexOf(rule) + 1
                });
            }
            var hasAnd = function(str) {
                return str.indexOf("&") !== -1;
            };
            return function(rule) {
                if ("regular" === rule.type) {
                    var container = rule.options.parent, options = void 0, replaceRef = void 0;
                    for (var prop in rule.style) {
                        var isNested = hasAnd(prop), isNestedConditional = "@" === prop[0];
                        if (isNested || isNestedConditional) {
                            if (isNested) {
                                options = getOptions(rule, container, options);
                                var selector = replaceParentRefs(prop, rule.selector);
                                // Lazily create the ref replacer function just once for
                                // all nested rules within the sheet.
                                replaceRef || (replaceRef = getReplaceRef(container)), // Replace all $refs.
                                selector = selector.replace(refRegExp, replaceRef), container.addRule(selector, rule.style[prop], options);
                            } else isNestedConditional && addConditional(prop, rule, container);
                            delete rule.style[prop];
                        }
                    }
                }
            };
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _extends = Object.assign || function(target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) Object.prototype.hasOwnProperty.call(source, key) && (target[key] = source[key]);
            }
            return target;
        };
        exports.default = jssNested;
        var _warning = __webpack_require__(62), _warning2 = _interopRequireDefault(_warning), separatorRegExp = /\s*,\s*/g, parentRegExp = /&/g, refRegExp = /\$([\w-]+)/g;
    }, /* 76 */
    /***/
    function(module, exports, __webpack_require__) {
        exports = module.exports = __webpack_require__(77)(), // imports
        // module
        exports.push([ module.id, "._1WXZUVBVW6HNHvpItSaNJS,ak-lozenge{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}._1WXZUVBVW6HNHvpItSaNJS>_shadow_root_,ak-lozenge>_shadow_root_{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}._1WXZUVBVW6HNHvpItSaNJS:not([defined]),ak-lozenge:not([defined]){display:none}:host{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}:host(:not([defined])){display:none}._3gYZ_y6ZGYy1iiwnwF0IAn{border-radius:3px;box-sizing:border-box;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;font-size:11px;font-weight:700;line-height:1;max-width:200px;padding:2px 4px 3px;text-transform:uppercase;vertical-align:baseline;white-space:nowrap}.QMe5JXZA80tcOyv1n6TUP{display:inline-block;overflow:hidden;text-overflow:ellipsis}.h4MwqeVnS3URyoNhqd_8p{background:#f4f5f7;color:#42526e}.h4MwqeVnS3URyoNhqd_8p[bold]{background:#dfe1e6;color:#253858}._1_JrYMW7hwOMRVj9uU6wZ{background:#e3fcef;color:#064}._1_JrYMW7hwOMRVj9uU6wZ[bold]{background:#064;color:#fff}.VGziEGICtgeF8FIY3d0-f{background:#ffebe6;color:#bf2600}.VGziEGICtgeF8FIY3d0-f[bold]{background:#bf2600;color:#fff}.Uq3w1f6lRTeb3PznoBxIp{background:#deebff;color:#0049b0}.Uq3w1f6lRTeb3PznoBxIp[bold]{background:#0049b0;color:#fff}._24wJ3mmldsSJNn3m2zUEiz{background:#eae6ff;color:#403294}._24wJ3mmldsSJNn3m2zUEiz[bold]{background:#403294;color:#fff}._3PgSa2R6RpdIXvpMomul7Z{background:#fffae6;color:#344563}._3PgSa2R6RpdIXvpMomul7Z[bold]{background:#ff8b00;color:#344563}", "" ]), 
        // exports
        exports.locals = {
            "ak-lozenge": "_1WXZUVBVW6HNHvpItSaNJS",
            akLozenge: "_1WXZUVBVW6HNHvpItSaNJS",
            lozenge: "_3gYZ_y6ZGYy1iiwnwF0IAn",
            lozenge: "_3gYZ_y6ZGYy1iiwnwF0IAn",
            content: "QMe5JXZA80tcOyv1n6TUP",
            content: "QMe5JXZA80tcOyv1n6TUP",
            default: "h4MwqeVnS3URyoNhqd_8p",
            default: "h4MwqeVnS3URyoNhqd_8p",
            success: "_1_JrYMW7hwOMRVj9uU6wZ",
            success: "_1_JrYMW7hwOMRVj9uU6wZ",
            removed: "VGziEGICtgeF8FIY3d0-f",
            removed: "VGziEGICtgeF8FIY3d0-f",
            inprogress: "Uq3w1f6lRTeb3PznoBxIp",
            inprogress: "Uq3w1f6lRTeb3PznoBxIp",
            new: "_24wJ3mmldsSJNn3m2zUEiz",
            new: "_24wJ3mmldsSJNn3m2zUEiz",
            moved: "_3PgSa2R6RpdIXvpMomul7Z",
            moved: "_3PgSa2R6RpdIXvpMomul7Z"
        };
    }, /* 77 */
    /***/
    function(module, exports) {
        /*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
        // css base code, injected by the css-loader
        module.exports = function() {
            var list = [];
            // return the list of modules as css string
            // import a list of modules into the list
            return list.toString = function() {
                for (var result = [], i = 0; i < this.length; i++) {
                    var item = this[i];
                    item[2] ? result.push("@media " + item[2] + "{" + item[1] + "}") : result.push(item[1]);
                }
                return result.join("");
            }, list.i = function(modules, mediaQuery) {
                "string" == typeof modules && (modules = [ [ null, modules, "" ] ]);
                for (var alreadyImportedModules = {}, i = 0; i < this.length; i++) {
                    var id = this[i][0];
                    "number" == typeof id && (alreadyImportedModules[id] = !0);
                }
                for (i = 0; i < modules.length; i++) {
                    var item = modules[i];
                    // skip already imported module
                    // this implementation is not 100% perfect for weird media query combinations
                    //  when a module is imported multiple times with different media queries.
                    //  I hope this will never occur (Hey this way we have smaller bundles)
                    "number" == typeof item[0] && alreadyImportedModules[item[0]] || (mediaQuery && !item[2] ? item[2] = mediaQuery : mediaQuery && (item[2] = "(" + item[2] + ") and (" + mediaQuery + ")"), 
                    list.push(item));
                }
            }, list;
        };
    } ]);
});